<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package experoner
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'experoner' ); ?></a>
	
	<header id="masthead" class="site-header <?php echo esc_attr(get_theme_mod( 'experoner_header_layout'));?>">
		<?php if((get_theme_mod( 'experoner_header_social_icon',true ) != '') || (get_theme_mod('experoner_header_phone',true) != '') || (get_theme_mod('experoner_header_email',true) != '')){?>
		<div class="top_bar">
			<div class="header_top_bar">
				<?php 
					if(get_theme_mod( 'experoner_header_social_icon',true ) != ''){
				   		experoner_social_icon_sections(); 
					}
					?>
					<div class="contact_info">
						<?php
							if(get_theme_mod('experoner_header_phone',true) != ''){
								experoner_contect_info_sections();
							}
							if(get_theme_mod('experoner_header_email',true) != ''){
								experoner_email_sections();
							}
						?>
					</div>
			</div>
		</div>
		<?php } ?>
		<div class="main_heder_site">
			<div class="header_info">
				<div class="header_data">
					<div class="site-branding">
						<?php
						the_custom_logo();
						if ( is_front_page() && is_home() ) :
							?>
							<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php
						else :
							?>
							<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php
						endif;
						$experoner_description = get_bloginfo( 'description', 'display' );
						if ( $experoner_description || is_customize_preview() ) :
							?>
							<p class="site-description"><?php echo esc_attr($experoner_description); ?></p>
						<?php endif; ?>
					</div><!-- .site-branding -->
				</div>
				<div class="menu_call_button">
					<div class="call_button_info">
						<nav id="site-navigation" class="main-navigation">
							<button class="menu-toggle" id="navbar-toggle" aria-controls="primary-menu" aria-expanded="false">
								<i class="fa fa-bars"></i>
								<!-- <i class="fa fa-close"></i> -->
							</button>
							<?php
							wp_nav_menu(
								array(
									'theme_location' => 'menu-1',
									'menu_id'        => 'primary-menu',
								)
							);
							?>							
						</nav>
						<?php
						if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
							if(get_theme_mod('experoner_header_cart_icon',true)){
							?>
							<div class="add_cart_icon">							
								<a href="<?php echo esc_attr(wc_get_cart_url()); ?>">
									<i class="fa fa-shopping-cart" aria-hidden="true">
									</i>
								</a>
							</div>
							<?php
							}
						} ?>
						<div id="cl_serch" class="cl_serch">
							<a href="#" id="searchlink" class="cl_res_serch_icon searchlink">	
								<i id="serches" class="fa fa-search fa-lg serches" aria-hidden="true"></i>
							</a>								
							<div class="searchform">
						        <form id="search" class="serching" action="">
							        <input type="text" class="s" id="s" name="s" placeholder="keywords...">
							        <button type="submit" class="sbtn"><i class="fa fa-search"></i></button>
						        </form>										    
					    	</div>
					    </div>
					</div>
				</div>
			</div>
				<div class="mobile_menu main-navigation" id="mobile_primary">
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'menu-1',
							'menu_id'        => 'primary-menu',
						)
					);
					?>
					<button class="menu-toggle" id="mobilepop"  aria-expanded="false">
						<i class="fa fa-close"></i>
					</button>
				</div>
		</div>
	</header><!-- #masthead -->
	<div class="electostore_data">
		<?php  experoner_breadcrumb_section(); ?>
		<div class="theme_section_info">
			<?php
				$experoner_diseble = get_theme_mod( 'experoner_diseble' );
				$experoner_diseble_array =  explode(",",$experoner_diseble);				

				$experoner_ordered_section = get_theme_mod( 'experoner_ordered_section' );
				$experoner_sortable =  explode(",",$experoner_ordered_section);

				$experoner_ordering_array = get_theme_mod( 'experoner_ordering',array('Experoner_featured_slider','Experoner_featured_section','Experoner_about_sections','Experoner_our_team_sections','Experoner_testinomial') );
				if(is_front_page()){
					if(!empty($experoner_ordered_section)){
						foreach ($experoner_sortable as $experoner_sortables => $experoner_sortable_value) { 
							if(!in_array( $experoner_sortable_value, $experoner_diseble_array)){
								call_user_func($experoner_sortable_value);
							}		
						}
					}elseif(!empty($experoner_ordering_array)){
						foreach ($experoner_ordering_array as $experoner_ordering_arraydd) { 
							if(!in_array( $experoner_ordering_arraydd, $experoner_diseble_array)){
								call_user_func($experoner_ordering_arraydd);
							}		
						}
					}
								
				} 
			?>
		</div>
		<?php
		if(get_post_meta(get_the_ID(),'sidebar_select',true)){
			?>
			<div class="electostore_contain_info <?php echo esc_attr(get_theme_mod( 'experoner_container_pagelayout','content_boxed'))?> <?php echo esc_attr(get_post_meta(get_the_ID(),'sidebar_select',true));?> <?php echo esc_attr(get_theme_mod( 'experoner_container_blog_layout','grid_view'));?>">	
			<?php
		}
	    else{
			?>
			<div class="electostore_contain_info <?php echo esc_attr(get_theme_mod( 'experoner_container_pagelayout','content_boxed'))?> <?php echo esc_attr(get_theme_mod( 'experoner_post_sidebar_select_'.get_post_type(),'right_sidebar'));?> <?php echo esc_attr(get_theme_mod( 'experoner_container_blog_layout','grid_view'))?>">	
			<?php
		} ?>