<?php
/**
 * Create a Radio-Image control
 * 
 * 
 * @link https://github.com/reduxframework/kirki/
 * @link http://ottopress.com/2012/making-a-custom-control-for-the-theme-customizer/
 */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Experoner_Custom_Radio_Image_Control' ) ) {
	class Experoner_Custom_Radio_Image_Control extends WP_Customize_Control {
	
	/**
	 * Declare the control type.
	 *
	 * @access public
	 * @var string
	 */
	public $type = 'radio-image';
	
	/**
	 * Render the control to be displayed in the Customizer.
	 */
	public function render_content() {
		if ( empty( $this->choices ) ) {
			return;
		}			
		
		$name = '_customize-radio-' . $this->id;
		?>
		<span class="customize-control-title">
			<?php echo esc_html( $this->label ); ?>
			<?php if ( ! empty( $this->description ) ) : ?>
				<span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
			<?php endif; ?>
		</span>
		<div id="input_<?php echo esc_attr( $this->id ); ?>" class="image">
			<?php foreach ( $this->choices as $value => $label ) : ?>
					<label for="<?php echo esc_attr( $this->id ) . esc_attr( $value ); ?>">
						<input class="image-select" type="radio" value="<?php echo esc_attr( $value ); ?>" id="<?php echo esc_attr( $this->id ) . esc_attr( $value ); ?>" name="<?php echo esc_attr( $name ); ?>" <?php $this->link(); checked( $this->value(), $value ); ?>>
						<img src="<?php echo esc_html( $label ); ?>" alt="<?php echo esc_attr( $value ); ?>" title="<?php echo esc_attr( $value ); ?>">
						</input>
					</label>
			<?php endforeach; ?>
		</div>
		<?php
	}
}
}
if ( ! function_exists( 'experoner_breadcrumb_title' ) ) {
	function experoner_breadcrumb_title() {
		
		if ( is_home() || is_front_page()):
			
			single_post_title();
			
		elseif ( is_day() ) : 
										
			printf( esc_html( 'Daily Archives: %s', 'experoner' ), get_the_date() );
		
		elseif ( is_month() ) :
		
			printf( esc_html( 'Monthly Archives: %s', 'experoner' ), (get_the_date( 'F Y' ) ));
			
		elseif ( is_year() ) :
		
			printf( esc_html( 'Yearly Archives: %s', 'experoner' ), (get_the_date( 'Y' ) ) );
			
		elseif ( is_category() ) :
		
			printf( esc_html( 'Category Archives: %s', 'experoner' ), (single_cat_title( '', false ) ));

		elseif ( is_tag() ) :
		
			printf( esc_html( 'Tag Archives: %s', 'experoner' ), (single_tag_title( '', false ) ));
			
		elseif ( is_404() ) :

			printf( esc_html( 'Error 404', 'experoner' ));
			
		elseif ( is_author() ) :
		
			printf( esc_html( 'Author: %s', 'experoner' ), (get_the_author( '', false ) ));			
			
		elseif ( class_exists( 'woocommerce' ) ) : 
			
			if ( is_shop() ) {
				woocommerce_page_title();
			}
			
			elseif ( is_cart() ) {
				the_title();
			}
			
			elseif ( is_checkout() ) {
				the_title();
			}
			
			else {
				the_title();
			}
		else :
				the_title();
				
		endif;
	}
}
if ( ! function_exists( 'experoner_social_icon_sections' ) ) :
	function experoner_social_icon_sections( $selector = 'header' ) {
		get_template_part( 'template-parts/social_icon/social_icon' );
	}
endif;
if ( ! function_exists( 'experoner_contect_info_sections' ) ) :
	function experoner_contect_info_sections( $selector = 'header' ) {
		get_template_part( 'template-parts/social_icon/contect' );
	}
endif;
if ( ! function_exists( 'experoner_email_sections' ) ) :
	function experoner_email_sections( $selector = 'header' ) {
		get_template_part( 'template-parts/social_icon/email' );
	}
endif;

if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Experoner_Upsell_Section' ) ) {

	/**
	 * Astra_Pro_Customizer Initial setup
	 */
	class Experoner_Upsell_Section extends WP_Customize_Control {

	/**
	 * The control type.
	 *
	 * @access public
	 * @var string
	 */
	public $type = 'ast-description';
	
	/**
         * Set ID.
         *
         * @var public $id
         */
        public $id = '';

	/**
	 * Refresh the parameters passed to the JavaScript via JSON.
	 *
	 * @see WP_Customize_Control::to_json()
	 */
	public function to_json() {
		parent::to_json();		

		$this->json['label']       = esc_html( $this->label );
		$json['id'] = $this->id;
            return $json;
	}

	/**
	 * Render the control's content.
	 *
	 * @see WP_Customize_Control::render_content()
	 */
	protected function render_content() {
		?>
		<h3 class="section-heading">
            <?php echo esc_html( $this->label ); ?>      
        </h3>
		<?php
	}
	}

}
if ( ! function_exists( 'Experoner_our_team_sections' ) ) :
	function Experoner_our_team_sections( $selector = 'header' ) {
		get_template_part( 'template-parts/theme_section/our_team' );
	}
endif;
if ( ! function_exists( 'Experoner_about_sections' ) ) :
	function Experoner_about_sections( $selector = 'header' ) {
		get_template_part( 'template-parts/theme_section/about_section' );
	}
endif;
if ( ! function_exists( 'Experoner_featured_section' ) ) :
	function Experoner_featured_section( $selector = 'header' ) {
		get_template_part( 'template-parts/theme_section/featured_section' );
	}
endif;
if ( ! function_exists( 'Experoner_featured_slider' ) ) :
	function Experoner_featured_slider( $selector = 'header' ) {
		get_template_part( 'template-parts/theme_section/featured_slider' );
	}
endif;
if ( ! function_exists( 'experoner_breadcrumb_section' ) ) :
	function experoner_breadcrumb_section( $selector = 'header' ) {
		get_template_part( 'template-parts/theme_section/breadcrumb_section' );
	}
endif;
if ( ! function_exists( 'Experoner_testinomial' ) ) :
	function Experoner_testinomial( $selector = 'header' ) {
		get_template_part( 'template-parts/theme_section/testinomial' );
	}
endif;

if ( class_exists( 'WP_Customize_Section' ) && ! class_exists( 'experoner_GeneratePress_Upsell_Section' ) ) {
    /**
     * Create our upsell section.
     * Escape your URL in the Customizer using esc_url().
     *
     * @since unknown
     */
    class experoner_GeneratePress_Upsell_Section extends WP_Customize_Section {
        /**
         * Set type.
         *
         * @var public $type
         */
        public $type = 'gp-upsell-section';

        /**
         * Set pro URL.
         *
         * @var public $pro_url
         */
        public $pro_url = '';

        /**
         * Set pro text.
         *
         * @var public $pro_text
         */
        public $pro_text = '';

        /**
         * Set ID.
         *
         * @var public $id
         */
        public $id = '';

        /**
         * Send variables to json.
         */
        public function json() {
            $json = parent::json();
            $json['pro_text'] = $this->pro_text;
            $json['pro_url']  = esc_url( $this->pro_url );
            $json['id'] = $this->id;
            return $json;
        }

        /**
         * Render content.
         */
        protected function render_template() {
            ?>
            <li id="accordion-section-{{ data.id }}" class="accordion-section control-section control-section-{{ data.type }} cannot-expand">

                <h3 class="accordion-section-title">
                    {{ data.title }}

                    <# if ( data.pro_text && data.pro_url ) { #>
                    <a href="{{ data.pro_url }}" class="button button-secondary alignright" target="_blank">{{ data.pro_text }}</a>
                    <# } #>
                </h3>
            </li>   
            <?php
        }
    }
}
if ( class_exists( 'WP_Customize_Section' ) && ! class_exists( 'experoner_Customize_Section_Upsell' ) ) {
    /**
     * Create our upsell section.
     * Escape your URL in the Customizer using esc_url().
     *
     * @since unknown
     */
    class experoner_Customize_Section_Upsell extends WP_Customize_Section {
        /**
         * Set type.
         *
         * @var public $type
         */
        public $type = 'gp-upsell-section';

        /**
         * Set pro URL.
         *
         * @var public $pro_url
         */
        public $pro_url = '';

        /**
         * Set pro text.
         *
         * @var public $pro_text
         */
        public $pro_text = '';

        /**
         * Set ID.
         *
         * @var public $id
         */
        public $id = '';

        /**
         * Send variables to json.
         */
        public function json() {
            $json = parent::json();
            $json['pro_text'] = $this->pro_text;
            $json['pro_url']  = esc_url( $this->pro_url );
            $json['id'] = $this->id;
            return $json;
        }

        /**
         * Render content.
         */
        protected function render_template() {
            ?>
            <li id="accordion-section-{{ data.id }}" class="accordion-section control-section control-section-{{ data.type }} cannot-expand">

                <h3 class="accordion-section-title">
                    {{ data.title }}

                    <# if ( data.pro_text && data.pro_url ) { #>
                    <a href="{{ data.pro_url }}" class="button button-secondary alignright" target="_blank">{{ data.pro_text }}</a>
                    <# } #>
                </h3>
            </li>   
            <?php
        }
    }
}
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'experoner_pro_option_Control' ) ) {
	class experoner_pro_option_Control extends WP_Customize_Control {
	
	/**
	 * Declare the control type.
	 *
	 * @access public
	 * @var string
	 */
	public $type = 'more-option';
	/**
         * Set ID.
         *
         * @var public $id
         */
        public $id = '';

	/**
	 * Refresh the parameters passed to the JavaScript via JSON.
	 *
	 * @see WP_Customize_Control::to_json()
	 */
	 public function json() {
            $json = parent::json();
            $this->json['label']       = esc_html( $this->label );
            $json['id'] = $this->id;
            return $json;
        }
	/**
	 * Render the control to be displayed in the Customizer.
	 */
	protected function render_content() {
		?>
		<div class="title_pro_heading">
			<label for="_customize-input-<?php echo esc_html( $this->id ); ?>" class="customize-control-title title_pro"><?php echo esc_html( $this->label ); ?> </label>
			<a href="https://www.xeeshop.com/product/experoner/" class="button button-secondary button_more_pro" target="_blank">Lern More</a>
		</div>
		<?php
	}
	}
}
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'experoner_custom_ordering' ) ) {

	class experoner_custom_ordering extends WP_Customize_Control {
	/**
	* The type of control being rendered
	*/
	public $type = 'sortable_repeater';
	/**
	* Enqueue our scripts and styles
	*/
	public function enqueue() {
	wp_enqueue_script( 'experoner_custom_controls_js', trailingslashit( get_template_directory_uri() ) . 'assets/js/customizer-rep.js', array( 'jquery' ), '1.0', true );
	}
	/**
	* Render the control in the customizer
	*/
	public function render_content() {
        ?>
          <div class="drag_and_drop_control">
                <?php if( !empty( $this->label ) ) { ?>
                	<h3 class="section-heading">
	                    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	                </h3>
                <?php } ?>
                <?php if( !empty( $this->description ) ) { ?>
                    <span class="customize-control-description"><?php echo esc_html( $this->description ); ?></span>
                <?php } ?>
                <?php
                $experoner_diseble = get_theme_mod( 'experoner_diseble' );
				$experoner_diseble_arr =  explode(",",$experoner_diseble); 

				$experoner_ordered_section = get_theme_mod( 'experoner_ordered_section');				
				$experoner_ordering_arr =  explode(",",$experoner_ordered_section);

                ?>
                <ul class="sortable">
                	<?php
                	if(!empty($experoner_ordered_section)){  
                		foreach ($experoner_ordering_arr as $globalddd_orderingdd => $experoner_value) {
                			if($experoner_value == 'Experoner_featured_slider'){
                				$experoner_title = 'Featured Slider';
                			}elseif ($experoner_value == 'Experoner_featured_section') {
                				$experoner_title = 'Featured Section';
                			} elseif ($experoner_value == 'Experoner_about_sections') {
                				$experoner_title = 'About Section';
                			}elseif ($experoner_value == 'Experoner_our_team_sections') {
                				$experoner_title = 'Our Team Slider';
                			}elseif ($experoner_value == 'Experoner_testinomial') {
                				$experoner_title = 'Testimonial Section';
                			} ?>
							<li class="repeater <?php echo (in_array($experoner_value, $experoner_diseble_arr)?'invisibility':'');?>" value="<?php echo esc_attr($experoner_value)?>" id='<?php echo esc_attr($experoner_value)?>'>
		                        <div class="repeater-input">
		                        	<i class='dashicons dashicons-visibility visibility'></i>
		                        	<i class='dashicons dashicons-menu'></i>
		                        	<?php echo esc_attr($experoner_title); ?>
		                        </div>
		                    </li>
							<?php
						}
					}else{
						$valuechoices = $this->choices;
						foreach ($valuechoices as $key => $value) {
							?>
							<li class="repeater <?php echo (in_array($key, $experoner_diseble_arr)?'invisibility':'');?>" value="<?php echo esc_attr($key)?>" id='<?php echo esc_attr($key)?>'>
		                        <div class="repeater-input">
		                        	<i class='dashicons dashicons-visibility visibility'></i>
		                        	<i class='dashicons dashicons-menu'></i>
		                        	<?php echo esc_attr($value); ?>
		                        </div>
		                    </li>
							<?php
						}	
					}								
					?>	
                </div>
 
            </div>
        <?php
        }
	}
}
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Experoner_Custom_Radio_Control' ) ) {
	class Experoner_Custom_Radio_Control extends WP_Customize_Control {
	
	/**
	 * Declare the control type.
	 *
	 * @access public
	 * @var string
	 */
	public $type = 'radio-select';
	
	/**
	 * Render the control to be displayed in the Customizer.
	 */
	public function render_content() {
		if ( empty( $this->choices ) ) {
			return;
		}			
		
		$name = '_customize-radio-' . $this->id;

		?>
		<span class="customize-control-title">
			<?php echo esc_html( $this->label ); ?>
			<?php if ( ! empty( $this->description ) ) : ?>
				<span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
			<?php endif; ?>
		</span>
		<div id="input_<?php echo esc_attr( $this->id ); ?>" class="general_design_tab">
			<?php foreach ( $this->choices as $value => $label ) : 
				//print_r($label);
				?>
					<label for="<?php echo esc_attr( $this->id ) . esc_attr( $value ); ?>">
						<input class="general-design-select" type="radio" value="<?php echo esc_attr( $value ); ?>" id="<?php echo esc_attr( $this->id ) . esc_attr( $value ); ?>" name="<?php echo esc_attr( $name ); ?>" <?php $this->link(); checked( $this->value(), $value ); ?>>
						<h2><?php echo esc_html( $label ); ?></h2>
					</label>
			<?php endforeach; ?>
		</div>
		<?php
	}
}
}