<?php
/**
 * experoner Theme Customizer
 *
 * @package experoner
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
global $experoner_fonttotal;
$experoner_fonttotal = array(
        __( 'Select Font','experoner' ),
        __( 'Abril Fatface','experoner' ),
        __( 'Cursive','experoner' ),
        __( 'Emoji','experoner' ),
        __( 'Fantasy','experoner' ),
        __( 'Inherit','experoner' ),
        __( 'Initial','experoner' ),
        __( 'Monospace','experoner' ),
		__( 'Oxygen','experoner' ),
        __( 'sans-serif','experoner' ),
        __( 'system-ui','experoner' ),
        __( 'Yanone Kaffeesatz','experoner' ),           
    );

function experoner_customize_register( $wp_customize ) {
	$font_weight = array('100' => '100',
			            '200' => '200',
			            '300' => '300',
			            '400' => '400',
						'500' => '500',
						'600' => '600',
						'700' => '700',
						'800' => '800',
						'900' => '900',
						'bold' => 'bold',
						'bolder' => 'bolder',
						'inherit' => 'inherit',
						'initial' => 'initial',
						'normal' => 'normal',
						'revert' => 'revert',
						'unset' => 'unset',
					);

	$text_transform = array(
						'capitalize' => 'Capitalize',
						'inherit'	 => 'Inherit',
						'lowercase'  => 'Lowercase',
						'uppercase'  => 'Uppercase',
	);


	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'experoner_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'experoner_customize_partial_blogdescription',
			)
		);
	} 
	
	    if ( method_exists( $wp_customize, 'register_section_type' ) ) {
			$wp_customize->register_section_type( 'experoner_Customize_Section_Upsell' );
		}
    	if ( ! defined( 'GP_PREMIUM_VERSION' ) ) {
			$wp_customize->add_section(
				new experoner_Customize_Section_Upsell(
					$wp_customize,
					'experoner_Section_Upsell',
					array(
						'title'    => esc_html__( 'experoner Pro', 'experoner' ),
	                	'pro_text' => esc_html__( 'Upgrade Now', 'experoner' ),
	                	'pro_url'  => 'https://www.xeeshop.com/product/experoner/',
						'capability' => 'edit_theme_options',
						'priority' => 0,
						'type' => 'gp-upsell-section',
					)
				)
			);
		}
	    if ( method_exists( $wp_customize, 'register_section_type' ) ) {
			$wp_customize->register_section_type( 'experoner_GeneratePress_Upsell_Section' );
		}
    	if ( ! defined( 'GP_PREMIUM_VERSION' ) ) {
			$wp_customize->add_section(
				new experoner_GeneratePress_Upsell_Section(
					$wp_customize,
					'experoner_GeneratePress_Upsell_Section',
					array(
						'title'    => esc_html__( 'Documentation', 'experoner' ),
	                	'pro_text' => esc_html__( 'Read More', 'experoner' ),
	                	'pro_url'  => 'https://www.xeeshop.com/experoner-documentation/',
						'capability' => 'edit_theme_options',
						'priority' => 0,
						'type' => 'gp-upsell-section',
					)
				)
			);
		}

    //Color Section in add
		//Text color in color section
			$wp_customize->add_setting( 'body_textcolor', 
		        array(
		            'default'    => '#214462', //Default setting/value to save
		            'type'       => 'theme_mod',
		            'transport'   => 'refresh',
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'sanitize_hex_color',
		        ) 
		    ); 

	        $wp_customize->add_control( new WP_Customize_Color_Control( 
		        $wp_customize, 
		        'body_textcolor', 
		        array(
		            'label'      => __( 'Text Color', 'experoner' ), 
		            'settings'   => 'body_textcolor', 
		            'priority'   => 10, 
		            'section'    => 'colors', 
		        ) 
	        ) );
		//link text color in color section
			$wp_customize->add_setting( 'link_textcolor', 
		        array(
		            'default'    => '#214462', //Default setting/value to save
		            'type'       => 'theme_mod',
		            'transport'  => 'refresh',
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'sanitize_hex_color',
		        ) 
		    ); 

	        $wp_customize->add_control( new WP_Customize_Color_Control( 
		        $wp_customize, 
		        'link_textcolor', 
		        array(
		            'label'      => __( 'Link Color', 'experoner' ), 
		            'settings'   => 'link_textcolor', 
		            'priority'   => 10, 
		            'section'    => 'colors', 
		        ) 
	        ) );
	    //link hovor text color in color section
	        $wp_customize->add_setting(	'link_hovor_color', 
	        	array(
					'default'    => '#02cfaa',
					'type'       => 'theme_mod',
					'transport'  => 'refresh',
					'capability' => 'edit_theme_options',
					'sanitize_callback' => 'sanitize_hex_color',
				)
			);
			$wp_customize->add_control(	new WP_Customize_Color_Control(
					$wp_customize, 'link_hovor_color', 
					array(
						'label'    => esc_html__( 'Link Hovor & active Color', 'experoner'),
						'settings' => 'link_hovor_color',
						'priority' => 10, 
						'section'  => 'colors',
					)
				)
			);

	//Header Create our panels
		$wp_customize->add_panel( 'experoner_header_panel', array(
			'title'          => __('Header', 'experoner'),
			'priority'  => 1,
		) );
		// Create header option
			$wp_customize->add_section( 'header_option_section' , array(
				'title'             => 'Header Option',
				'panel'             => 'experoner_header_panel',
			) );	

			//header option in header layout
			    $wp_customize->add_setting( 'experoner_header_layout', array(
					'default'    => 'header2', //Default setting/value to save
					'type'       => 'theme_mod',
					'transport'   => 'refresh',
					'capability' => 'edit_theme_options',
					'sanitize_callback' => 'experoner_sanitize_select',							
				)); 
				$wp_customize->add_control( new Experoner_Custom_Radio_Image_Control( 
					$wp_customize, 'experoner_header_layout', 
					array(
					       'label'      => __( 'Header Layout', 'experoner' ), 
					       'settings'   => 'experoner_header_layout', 
					       'section'    => 'header_option_section',
					       'type'    => 'select',
					       'choices' => experoner_header_site_layout(),
					    ) 
					)
				); 
			

		    //Header2 Layout
		    //Top Bar header option in add Background color
			    $wp_customize->add_setting( 'experoner_header2_topbar_background_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_header2_topbar_background_color', 
			        array(
			            'label'      => __( 'Top Bar Background Color', 'experoner' ), 
			            'settings'   => 'experoner_header2_topbar_background_color',
			            'section'    => 'header_option_section',
			            'active_callback'  => 'experoner_header2_callback',
			   							[
											[
												'setting'  => 'experoner_header_layout',
												'operator' => '===',
												'value'    => 'header2',
											],
										],
			        ) 
		        ) ); 	
		    //header2 display in header option
		        $wp_customize->add_setting( 'experoner_header2_background_color', 
			        array(
			            'default'    => '#02cfaa', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 
			        'experoner_header2_background_color', 
			        array(
			            'label'      => __( 'Background Color', 'experoner' ), 
			            'settings'   => 'experoner_header2_background_color', 
			            'section'    => 'header_option_section', 
			            'active_callback'  => 'experoner_header2_callback',
			   							[
											[
												'setting'  => 'experoner_header_layout',
												'operator' => '===',
												'value'    => 'header2',
											],
										],
			        ) 
		        ) ); 
		    //header2 text color in header option
			    $wp_customize->add_setting( 'experoner_header2_text_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 
			        'experoner_header2_text_color', 
			        array(
			            'label'      => __( 'Text Color', 'experoner' ), 
			            'settings'   => 'experoner_header2_text_color', 
			            'section'    => 'header_option_section', 
			            'active_callback'  => 'experoner_header2_callback',
			   							[
											[
												'setting'  => 'experoner_header_layout',
												'operator' => '===',
												'value'    => 'header2',
											],
										],
			        ) 
		        ) ); 
		    //header2 in link color
		        $wp_customize->add_setting( 'experoner_header2_link_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_header2_link_color', 
			        array(
			            'label'      => __( 'Link Color', 'experoner' ), 
			            'settings'   => 'experoner_header2_link_color', 
			            'section'    => 'header_option_section', 
			            'active_callback'  => 'experoner_header2_callback',
			   							[
											[
												'setting'  => 'experoner_header_layout',
												'operator' => '===',
												'value'    => 'header2',
											],
										],
			        ) 
		        ) ); 
		    //header2 in link hover color
		        $wp_customize->add_setting( 'experoner_header2_link_hover_color', 
			        array(
			            'default'    => '#01012f', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_header2_link_hover_color', 
			        array(
			            'label'      => __( 'Link Hover Color', 'experoner' ), 
			            'settings'   => 'experoner_header2_link_hover_color', 
			            'section'    => 'header_option_section', 
			            'active_callback'  => 'experoner_header2_callback',
			   							[
											[
												'setting'  => 'experoner_header_layout',
												'operator' => '===',
												'value'    => 'header2',
											],
										],
			        ) 
		        ) );
		    //Mobile submenu background color
				$wp_customize->add_setting( 'experoner_mobile_submenu_bg_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_mobile_submenu_bg_color', 
			        array(
			            'label'      => __( 'Mobile Submenu Background Color', 'experoner' ), 
			            'settings'   => 'experoner_mobile_submenu_bg_color', 
			            'section'    => 'header_option_section', 
			        ) 
		        ) );
			//menu link hover and active color
				$wp_customize->add_setting( 'experoner_menu_link_active_color', 
			        array(
			            'default'    => '#01012f', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_menu_link_active_color', 
			        array(
			            'label'      => __( 'Menu Link Active Color', 'experoner' ), 
			            'settings'   => 'experoner_menu_link_active_color', 
			            'section'    => 'header_option_section', 
			        ) 
		        ) );
			
		    //Serch Icon display in header option
		        $wp_customize->add_setting( 'experoner_header_serch', array(		                
			                'default'   => true,
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_header_serch', 
				    	array(
			                'label' => 'Display header Serch icon',
			                'type'  => 'checkbox', // this indicates the type of control
			                'section' => 'header_option_section',
			                'settings' => 'experoner_header_serch',
				        )
			    ));
			//Mobile in Serch Icon display in header option
		        $wp_customize->add_setting( 'experoner_mobile_header_serch', array(		                
			                'default'   => false,
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_mobile_header_serch', 
				    	array(
			                'label' => 'Mobile Display header Serch icon',
			                'type'  => 'checkbox', // this indicates the type of control
			                'section' => 'header_option_section',
			                'settings' => 'experoner_mobile_header_serch',
				        )
			    ));
	        //Cart Icon display in header option
		        $wp_customize->add_setting( 'experoner_header_cart_icon', array(		                
			                'default'   => true,
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_header_cart_icon', 
				    	array(
			                'label' => 'Display header Cart icon',
			                'type'  => 'checkbox', // this indicates the type of control
			                'section' => 'header_option_section',
			                'settings' => 'experoner_header_cart_icon',
				        )
			    ));
			//Mobile Cart Icon display in header option
		        $wp_customize->add_setting( 'experoner_mobile_header_cart_icon', array(		                
			                'default'   => false,
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_mobile_header_cart_icon', 
				    	array(
			                'label' => 'Mobile Display header Cart icon',
			                'type'  => 'checkbox', // this indicates the type of control
			                'section' => 'header_option_section',
			                'settings' => 'experoner_mobile_header_cart_icon',
				        )
			    ));
    	
    	//Create Sticky Header option
			$wp_customize->add_section( 'sticky_header_option_section' , array(
				'title'             => 'Sticky Header',
				'panel'             => 'experoner_header_panel',
			) );  
			//hide and show sticky header
				$wp_customize->add_setting( 'experoner_sticky_header_display', array(		                
					'default'   => true,
					'priority'  => 10,
					'capability' => 'edit_theme_options',
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_sticky_header_display', 
					array(
						'label' => 'Sticky Header',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'sticky_header_option_section',
						'settings' => 'experoner_sticky_header_display',
						)
				));
		    //Sticky Header background color option
				$wp_customize->add_setting( 'experoner_sticky_header_bg_color', 
			        array(
			            'default'    => '#02cfaa', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_sticky_header_bg_color', 
			        array(
			            'label'      => __( 'Sticky Background Color', 'experoner' ), 
			            'settings'   => 'experoner_sticky_header_bg_color', 
			            'section'    => 'sticky_header_option_section',
			        ) 
		        ) );

    // Create social icon option
		$wp_customize->add_section( 'header_topbar_section' , array(
			'title'             => 'Social Info',
			'priority'  => 2,			
		) );	
	    //Top Bar Option
			//Top Bar header option in add Text color
			    $wp_customize->add_setting( 'experoner_topbar_text_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',

			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_topbar_text_color', 
			        array(
			            'label'      => __( 'Text Color', 'experoner' ), 
			            'settings'   => 'experoner_topbar_text_color', 
			            'priority'   => 10,
			            'section'    => 'header_topbar_section',
			        ) 
		        ) ); 

		    //Social Icon Title
			    $wp_customize->add_setting('socialicon_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'socialicon_section',
			    	array(
				        'settings' => 'socialicon_section',
				        'label'   => 'Social Icon',
				        'section' => 'header_topbar_section',
			        )
			    ));
			//enable to header and footer in social icon
			    $wp_customize->add_setting( 'experoner_header_social_icon', array(		                
		                'default'   => true,
						'priority'  => 10,
						'capability' => 'edit_theme_options',
						'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));				    
			    $wp_customize->add_control(  new WP_Customize_Control(
			    	$wp_customize,'experoner_header_social_icon', 
			    	array(
		                'label' => 'Header Social Icon',
		                'type'  => 'checkbox', // this indicates the type of control
		                'section' => 'header_topbar_section',
		                'settings' => 'experoner_header_social_icon',
			        )
			    ));
			//enable to header and footer in social icon
			    $wp_customize->add_setting( 'experoner_footer_social_icon', array(		                
		                'default'   => true,
						'priority'  => 10,
						'capability' => 'edit_theme_options',
						'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));				    
			    $wp_customize->add_control(  new WP_Customize_Control(
			    	$wp_customize,'experoner_footer_social_icon', 
			    	array(
		                'label' => 'Footer Social Icon',
		                'type'  => 'checkbox', // this indicates the type of control
		                'section' => 'header_topbar_section',
		                'settings' => 'experoner_footer_social_icon',
			        )
			    ));
		    //header topbar in twitter link
			    $wp_customize->add_setting( 'experoner_twitter_link', array(		                
			                'default'   => 'https://twitter.com/',
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'sanitize_text_field',
			    ));				    
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_twitter_link', 
				    	array(
			                'label' => 'Twitter Link',
			                'section' => 'header_topbar_section',
			                'settings' => 'experoner_twitter_link',
			                'active_callback'  => 'experoner_header_icon_callback',
				        )
			    ));	
		    //header topbar in facebook link
			    $wp_customize->add_setting( 'experoner_facebook_link', array(		                
			                'default'   => 'https://www.facebook.com/',
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'sanitize_text_field',
			    ));					    
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_facebook_link', 
				    	array(
			                'label' => 'Facebook Link',
			                'section' => 'header_topbar_section',
			                'settings' => 'experoner_facebook_link',
			                'active_callback'  => 'experoner_header_icon_callback',
				        )
			    ));	
		    //header topbar in instagram link
			    $wp_customize->add_setting( 'experoner_instagram_link', array(		                
			                'default'   => 'https://www.instagram.com/',
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'sanitize_text_field',
			    )); 				    
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_instagram_link', 
				    	array(
			                'label' => 'Instagram Link',
			                'section' => 'header_topbar_section',
			                'settings' => 'experoner_instagram_link',
			                'active_callback'  => 'experoner_header_icon_callback',
				        )
			    ));	
		    //header topbar in linkedin link
			    $wp_customize->add_setting( 'experoner_linkedin_link', array(		                
			                'default'   => 'https://www.linkedin.com/feed/',
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'sanitize_text_field',
			    ));				    
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_linkedin_link', 
				    	array(
			                'label' => 'Linkedin Link',
			                'section' => 'header_topbar_section',
			                'settings' => 'experoner_linkedin_link',
			                'active_callback'  => 'experoner_header_icon_callback',
				        )
			    ));
		    //header menu button in pinterest link
			    $wp_customize->add_setting( 'experoner_pinterest_link', array(		                
			                'default'   => 'https://www.pinterest.com',
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'sanitize_text_field',
			    ));					    
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_pinterest_link', 
				    	array(
			                'label' => 'Pinterest Link',
			                'section' => 'header_topbar_section',
			                'settings' => 'experoner_pinterest_link',
			                'active_callback'  => 'experoner_header_icon_callback',
				        )
			    ));	
		    //header menu button in youtube link
			    $wp_customize->add_setting( 'experoner_youtube_link', array(		                
			                'default'   => 'https://www.youtube.com/',
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'sanitize_text_field',
			    ));					    
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_youtube_link', 
				    	array(
			                'label' => 'Youtube Link',
			                'section' => 'header_topbar_section',
			                'settings' => 'experoner_youtube_link',
			                'active_callback'  => 'experoner_header_icon_callback',
				        )
			    ));
		    //header option in add social icon color
			    $wp_customize->add_setting( 'experoner_social_icon_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',

			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_social_icon_color', 
			        array(
			            'label'      => __( 'Icon Color', 'experoner' ), 
			            'settings'   => 'experoner_social_icon_color', 
			            'priority'   => 10,
			            'section'    => 'header_topbar_section',
			            'active_callback'  => 'experoner_header_icon_callback',
			        ) 
		        ) );
	        //header option in add social icon hover color
			    $wp_customize->add_setting( 'experoner_social_iconhover_color', 
			        array(
			            'default'    => '#207272', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_social_iconhover_color', 
			        array(
			            'label'      => __( 'Icon Hover Color', 'experoner' ), 
			            'settings'   => 'experoner_social_iconhover_color', 
			            'priority'   => 10,
			            'section'    => 'header_topbar_section',
			            'active_callback'  => 'experoner_header_icon_callback',
			        ) 
		        ) ); 

		    //Contact Info Title
			    $wp_customize->add_setting('contact_info_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'contact_info_section',
			    	array(
				        'settings' => 'contact_info_section',
				        'label'   => 'Contact Info',
				        'section' => 'header_topbar_section',
			        )
			    ));
		    //header topbar in add chackbox
			    $wp_customize->add_setting( 'experoner_header_phone', array(		                
			                'default'   => true,
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));					    
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_header_phone', 
				    	array(
			                'label' => 'Display Header PhoneNo.',
			                'type'  => 'checkbox', // this indicates the type of control
			                'section' => 'header_topbar_section',
			                'settings' => 'experoner_header_phone',
				        )
			    ));
			//
			    $wp_customize->add_setting( 'experoner_footer_phone', array(		                
			                'default'   => true,
							'priority'  => 10,
							'capability' => 'edit_theme_options',
							'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));					    
			    $wp_customize->add_control(  new WP_Customize_Control(
				    	$wp_customize,'experoner_footer_phone', 
				    	array(
			                'label' => 'Display Footer PhoneNo.',
			                'type'  => 'checkbox', // this indicates the type of control
			                'section' => 'header_topbar_section',
			                'settings' => 'experoner_footer_phone',
				        )
			    ));
	    	//header option in add Phone No.
			    $wp_customize->add_setting( 'experoner_phone_number', 
			        array(
			            'default'    => '04463235323', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',

			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize, 'experoner_phone_number', 
			        array(
			            'label'      => __( 'Phone No.', 'experoner' ), 
			            'settings'   => 'experoner_phone_number', 
			            'priority'   => 10,
			            'section'    => 'header_topbar_section',
			            'active_callback'  => 'experoner_phone_number_callback',
			        ) 
		        ) ); 

		    //Email Title
			    $wp_customize->add_setting('email_data_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'email_data_section',
			    	array(
				        'settings' => 'email_data_section',
				        'label'   => 'Email',
				        'section' => 'header_topbar_section',
			        )
			    ));
	        //header topbar in add chackbox
			    $wp_customize->add_setting( 'experoner_header_email', array(		                
		                'default'   => true,
						'priority'  => 10,
						'capability' => 'edit_theme_options',
						'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));	 				    
			    $wp_customize->add_control(  new WP_Customize_Control(
			    	$wp_customize,'experoner_header_email', 
			    	array(
		                'label' => 'Display Header Email',
		                'type'  => 'checkbox', // this indicates the type of control
		                'section' => 'header_topbar_section',
		                'settings' => 'experoner_header_email',
			        )
			    ));
			//Display Footer in add chackbox
			    $wp_customize->add_setting( 'experoner_footer_email', array(		                
		                'default'   => true,
						'priority'  => 10,
						'capability' => 'edit_theme_options',
						'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));	 				    
			    $wp_customize->add_control(  new WP_Customize_Control(
			    	$wp_customize,'experoner_footer_email', 
			    	array(
		                'label' => 'Display Footer Email',
		                'type'  => 'checkbox', 
		                'section' => 'header_topbar_section',
		                'settings' => 'experoner_footer_email',
			        )
			    ));
		    //header option in add Email.
			    $wp_customize->add_setting( 'experoner_email', 
			        array(
			            'default'    => 'experoner@gmail.com', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize, 'experoner_email', 
			        array(
			            'label'      => __( 'Email', 'experoner' ), 
			            'settings'   => 'experoner_email', 
			            'priority'   => 10,
			            'section'    => 'header_topbar_section',
			            'active_callback'  => 'experoner_email_callback',
			        ) 
		        ) ); 
			//Mobile Title
			    $wp_customize->add_setting('mobile_display_topbar', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'mobile_display_topbar',
			    	array(
				        'settings' => 'mobile_display_topbar',
				        'label'   => 'Mobile Display Topbar',
				        'section' => 'header_topbar_section',
			        )
			    ));
		   //Mobile in topbar desplay
		        $wp_customize->add_setting( 'experoner_mobile_topbar', array(		                
		                'default'   => false,
						'priority'  => 10,
						'capability' => 'edit_theme_options',
						'sanitize_callback' => 'experoner_sanitize_checkbox',
			    ));	 				    
			    $wp_customize->add_control(  new WP_Customize_Control(
			    	$wp_customize,'experoner_mobile_topbar', 
			    	array(
		                'label' => 'Mobile In Top Bar',
		                'type'  => 'checkbox', 
		                'section' => 'header_topbar_section',
		                'settings' => 'experoner_mobile_topbar',
			        )
			    ));

    //Global create in add 
		$wp_customize->add_panel( 'experoner_global_panel', array(
			'title'     => __('Global', 'experoner'),
			'priority'  => 1,
		) );

	    //Create Excerpt Options
			$wp_customize->add_section( 'global_excerpt_options' , array(
				'title'   => 'Excerpt Options',
				'panel'   => 'experoner_global_panel',
			) );
			//container excerpt length
				$wp_customize->add_setting('experoner_excerpt_length', array(
			        'default'        => 20,
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_excerpt_length',
			    	array(
				        'settings' => 'experoner_excerpt_length',
				        'label'   => 'Excerpt Length (words)',
				        'section' => 'global_excerpt_options',
				        'type'  => "number",
		            	'input_attrs' => array(
									    'min'   => 10,
										'max'   => 200,
										'step'  => 5,
									),
			        )
			    )); 
			    //display container Read More Button
		        $wp_customize->add_setting( 'experoner_display_read_more', array(		                
					'default'   => true,
					'priority'  => 10,
					'capability'     => 'edit_theme_options',	
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_display_read_more', 
					array(
						'label' => 'Display Read More Button',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'global_excerpt_options',
						'settings' => 'experoner_display_read_more',
						)
				));
			    //Read More Text
			    $wp_customize->add_setting('experoner_read_more_btn', array(
			        'default'        => 'Continue reading',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_read_more_btn',
			    	array(
				        'settings' => 'experoner_read_more_btn',
				        'label'   => 'Read More Text',
				        'section' => 'global_excerpt_options',
				        'type'  => "text",
			        )
			    )); 

		// Create global Fonts & Typography option
			$wp_customize->add_section( 'global_body_section' , array(
				'title'  => 'Body Fonts & Typography',
				'panel'  => 'experoner_global_panel',
			) );			
			//global option in body font family add select dropdown
				global $experoner_fonttotal;
		        $wp_customize->add_setting('experoner_body_fontfamily', array(
			        'default'        => 0,
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'experoner_sanitize_select',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_body_fontfamily',
			    	array(
				        'settings' => 'experoner_body_fontfamily',
				        'label'   => 'Body Font Family',
				        'section' => 'global_body_section',
				        'type'    => 'select',
				        'choices' => $experoner_fonttotal,
				    )
				));
			//global otion in body font size 
				$wp_customize->add_setting('experoner_body_font_size', array(
			        'default'        => 16,
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_body_font_size',
			    	array(
				        'settings' => 'experoner_body_font_size',
				        'label'   => 'Body Font Size',
				        'section' => 'global_body_section',
				        'type'  => "number",
				        'description' => 'in px',
		            	'input_attrs' => array(
									    'min' => 1,
									    'max' => 50,
									),
			        )
			    )); 
			//global option in body font weight
			    $wp_customize->add_setting('experoner_body_font_weight', array(
			        'default'        => 400,
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'experoner_sanitize_select',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_body_font_weight',
			    	array(
				        'settings' => 'experoner_body_font_weight',
				        'label'   => 'Body Font Weight',
				        'section' => 'global_body_section',
				        'type'  => "select",
				        'choices' => $font_weight,
			        )
			    ));
			//global option in body text transform
			    $wp_customize->add_setting('experoner_body_text_transform', array(
			        'default'        => 'capitalize',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'experoner_sanitize_select',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_body_text_transform',
			    	array(
				        'settings' => 'experoner_body_text_transform',
				        'label'   => 'Body Text Transform',
				        'section' => 'global_body_section',
				        'type'  => "select",
				        'choices' =>  $text_transform,
			        )
			    ));

				//mobile in font size
				    $wp_customize->add_setting( 'experoner_mobile_font_size', 
				        array(
				            'default'    => '14', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_text_field',
				        ) 
				    ); 

			        $wp_customize->add_control( new WP_Customize_Control( 
				        $wp_customize, 'experoner_mobile_font_size', 
				        array(
				            'label'      => __( 'Mobile Font Size', 'experoner' ), 
				            'type'       => "number",
				            'priority'    => 10,
				            'settings'   => 'experoner_mobile_font_size', 
				            'section'    => 'global_body_section',
				            'description' => 'in px',
				            'input_attrs' => array(
											    'min' => 1,
											    'max' => 100,
											),
				        ) 
			        ) );

		// Create global Heading Fonts & Typography option
			$wp_customize->add_section( 'global_heading_section' , array(
				'title'             => 'Heading Fonts & Typography',
				'panel'             => 'experoner_global_panel',
			) );
			//global option in body font family add select dropdown
				global $experoner_fonttotal;
		        $wp_customize->add_setting('experoner_Heading_fontfamily', array(
			        'default'        => 0,
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'experoner_sanitize_select',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_Heading_fontfamily',
			    	array(
				        'settings' => 'experoner_Heading_fontfamily',
				        'label'   => 'Heading Font Family',
				        'section' => 'global_heading_section',
				        'type'    => 'select',
				        'choices' => $experoner_fonttotal,
			        )
			    )); 

			//heading1 Title
			    $wp_customize->add_setting('Heading1_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'Heading1_section',
			    	array(
				        'settings' => 'Heading1_section',
				        'label'   => 'Heading 1 (H1)',
				        'section' => 'global_heading_section',
				        'type'     => 'ast-description',
			        )
			    ));

				//global option in heading1 font family
					global $experoner_fonttotal;
			        $wp_customize->add_setting('experoner_Heading1_fontfamily', array(
				        'default'        => 0,
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',		
				        'sanitize_callback' => 'experoner_sanitize_select',
				    ));
				    $wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'experoner_Heading1_fontfamily',
				    	array(
					        'settings' => 'experoner_Heading1_fontfamily',
					        'label'   => 'Font Family',
					        'section' => 'global_heading_section',
					        'type'    => 'select',
					        'choices' => $experoner_fonttotal,
				        )
				    ));
				//global heading1 font size
				    $wp_customize->add_setting( 'experoner_heading1_font_size', 
				        array(
				            'default'    => '35', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_text_field',
				        ) 
				    ); 

			        $wp_customize->add_control( new WP_Customize_Control( 
				        $wp_customize, 
				        'experoner_heading1_font_size', 
				        array(
				            'label'      => __( 'Font Size', 'experoner' ), 
				            'type'       => "number",
				            'priority'    => 10,
				            'settings'   => 'experoner_heading1_font_size', 
				            'section'    => 'global_heading_section',
				            'description' => 'in px',
				            'input_attrs' => array(
											    'min' => 1,
											    'max' => 100,
											),
				        ) 
			        ) );
			    //global in heading1 font weight
				    $wp_customize->add_setting('experoner_heading1_font_weight', array(
				        'default'        => 'bold',
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',		
				        'sanitize_callback' => 'experoner_sanitize_select',
				    ));
				    $wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'experoner_heading1_font_weight',
				    	array(
					        'settings' => 'experoner_heading1_font_weight',
					        'label'   => 'Font Weight',
					        'section' => 'global_heading_section',
					        'type'  => 'select',
					        'choices' => $font_weight,
				        )
				    ));
				//global in heading1 text transform
				    $wp_customize->add_setting('experoner_heading1_text_transform', array(
				        'default'        => 'capitalize',
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',		
				        'sanitize_callback' => 'experoner_sanitize_select',
				    ));
				    $wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'experoner_heading1_text_transform',
				    	array(
					        'settings' => 'experoner_heading1_text_transform',
					        'label'   => 'Text Transform',
					        'section' => 'global_heading_section',
					        'type'  => 'select',
					        'choices' =>  $text_transform,
				        )
				    ));
				//mobile in heading1 font size
				    $wp_customize->add_setting( 'experoner_mobile_heading1_font_size', 
				        array(
				            'default'    => '20', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_text_field',
				        ) 
				    ); 

			        $wp_customize->add_control( new WP_Customize_Control( 
				        $wp_customize, 'experoner_mobile_heading1_font_size', 
				        array(
				            'label'      => __( 'Mobile Font Size', 'experoner' ), 
				            'type'       => "number",
				            'priority'    => 10,
				            'settings'   => 'experoner_mobile_heading1_font_size', 
				            'section'    => 'global_heading_section',
				            'description' => 'in px',
				            'input_attrs' => array(
											    'min' => 1,
											    'max' => 100,
											),
				        ) 
			        ) );

		    //heading2 Title
			    $wp_customize->add_setting('Heading2_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'experoner_sanitize_select',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'Heading2_section',
			    	array(
				        'settings' => 'Heading2_section',
				        'label'   => 'Heading 2 (H2)',
				        'section' => 'global_heading_section',
			        )
			    ));
				//global option in heading2 font family
					global $experoner_fonttotal;
			        $wp_customize->add_setting('experoner_Heading2_fontfamily', array(
				        'default'        => 0,
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',		
				        'sanitize_callback' => 'experoner_sanitize_select',
				    ));
				    $wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'experoner_Heading2_fontfamily',
				    	array(
					        'settings' => 'experoner_Heading2_fontfamily',
					        'label'   => 'Font Family',
					        'section' => 'global_heading_section',
					        'type'    => 'select',
					        'choices' => $experoner_fonttotal,
				        )
				    )); 
				//global heading2 font size
				    $wp_customize->add_setting( 'experoner_heading2_font_size', 
				        array(
				            'default'    => '30', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_text_field',
				        ) 
				    ); 

			        $wp_customize->add_control( new WP_Customize_Control( 
				        $wp_customize, 'experoner_heading2_font_size', 
				        array(
				            'label'      => __( 'Font Size', 'experoner' ), 
				            'type'       => "number",
				            'priority'    => 10,
				            'settings'   => 'experoner_heading2_font_size', 
				            'section'    => 'global_heading_section',
				            'description' => 'in px',
				            'input_attrs' => array(
											    'min' => 1,
											    'max' => 100,
											),
				        ) 
			        ) );
			    //global in heading2 font weight
				    $wp_customize->add_setting('experoner_heading2_font_weight', array(
				        'default'        => 400,
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',		
				        'sanitize_callback' => 'experoner_sanitize_select',
				    ));
				    $wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'experoner_heading2_font_weight',
				    	array(
					        'settings' => 'experoner_heading2_font_weight',
					        'label'   => 'Font Weight',
					        'section' => 'global_heading_section',
					        'type'  => 'select',
					        'choices' => $font_weight,
				        )
				    ));
				//global in heading2 text transform
				    $wp_customize->add_setting('experoner_heading2_text_transform', array(
				        'default'        => 'capitalize',
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',		
				        'sanitize_callback' => 'experoner_sanitize_select',
				    ));
				    $wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'experoner_heading2_text_transform',
				    	array(
					        'settings' => 'experoner_heading2_text_transform',
					        'label'   => 'Text Transform',
					        'section' => 'global_heading_section',
					        'type'  => 'select',
					        'choices' =>  $text_transform,
				        )
				    ));
				//mobile in heading2 font size
				    $wp_customize->add_setting( 'experoner_mobile_heading2_font_size', 
				        array(
				            'default'    => '16', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_text_field',
				        ) 
				    ); 

			        $wp_customize->add_control( new WP_Customize_Control( 
				        $wp_customize, 'experoner_mobile_heading2_font_size', 
				        array(
				            'label'      => __( 'Mobile Font Size', 'experoner' ), 
				            'type'       => "number",
				            'priority'    => 10,
				            'settings'   => 'experoner_mobile_heading2_font_size', 
				            'section'    => 'global_heading_section',
				            'description' => 'in px',
				            'input_attrs' => array(
											    'min' => 1,
											    'max' => 100,
											),
				        ) 
			        ) );

		    //heading3 Title
			    $wp_customize->add_setting('Heading3_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'Heading3_section',
			    	array(
				        'settings' => 'Heading3_section',
				        'label'   => 'Heading 3 (H3)',
				        'section' => 'global_heading_section',
			        )
			    ));
				//global option in heading3 font family
					global $experoner_fonttotal;
			        $wp_customize->add_setting('experoner_Heading3_fontfamily', array(
				        'default'        => 0,
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',		
				        'sanitize_callback' => 'experoner_sanitize_select',
				    ));
				    $wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'experoner_Heading3_fontfamily',
				    	array(
					        'settings' => 'experoner_Heading3_fontfamily',
					        'label'   => 'Font Family',
					        'section' => 'global_heading_section',
					        'type'    => 'select',
					        'choices' => $experoner_fonttotal,
				        )
				    ));
			    //global heading3 font size
				    $wp_customize->add_setting( 'experoner_heading3_font_size', 
				        array(
				            'default'    => '25', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_text_field',
				        ) 
				    ); 

			        $wp_customize->add_control( new WP_Customize_Control( 
				        $wp_customize, 'experoner_heading3_font_size', 
				        array(
				            'label'      => __( 'Font Size', 'experoner' ), 
				            'type'       => "number",
				            'priority'    => 10,
				            'settings'   => 'experoner_heading3_font_size', 
				            'section'    => 'global_heading_section',
				            'description' => 'in px',
				            'input_attrs' => array(
											    'min' => 1,
											    'max' => 100,
											),
				        ) 
			        ) );
			    //global in heading3 font weight
				    $wp_customize->add_setting('experoner_heading3_font_weight', array(
				        'default'        => 400,
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',		
				        'sanitize_callback' => 'experoner_sanitize_select',
				    ));
				    $wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'experoner_heading3_font_weight',
				    	array(
					        'settings' => 'experoner_heading3_font_weight',
					        'label'   => 'Font Weight',
					        'section' => 'global_heading_section',
					        'type'  => 'select',
					        'choices' => $font_weight,
				        )
				    ));
				//global in heading2 text transform
				    $wp_customize->add_setting('experoner_heading3_text_transform', array(
				        'default'        => 'capitalize',
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',		
				        'sanitize_callback' => 'experoner_sanitize_select',
				    ));
				    $wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'experoner_heading3_text_transform',
				    	array(
					        'settings' => 'experoner_heading3_text_transform',
					        'label'   => 'Text Transform',
					        'section' => 'global_heading_section',
					        'type'  => 'select',
					        'choices' =>  $text_transform,
				        )
				    ));
				//mobile in heading2 font size
				    $wp_customize->add_setting( 'experoner_mobile_heading3_font_size', 
				        array(
				            'default'    => '14', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_text_field',
				        ) 
				    ); 

			        $wp_customize->add_control( new WP_Customize_Control( 
				        $wp_customize, 'experoner_mobile_heading3_font_size', 
				        array(
				            'label'      => __( 'Mobile Font Size', 'experoner' ), 
				            'type'       => "number",
				            'priority'    => 10,
				            'settings'   => 'experoner_mobile_heading3_font_size', 
				            'section'    => 'global_heading_section',
				            'description' => 'in px',
				            'input_attrs' => array(
											    'min' => 1,
											    'max' => 100,
											),
				        ) 
			        ) );

	    // Create global in Button option
			$wp_customize->add_section( 'global_button_section' , array(
				'title'             => 'Buttons',
				'panel'             => 'experoner_global_panel',
			) );			
			//global option in Button Text color
				$wp_customize->add_setting( 'experoner_button_text_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_button_text_color', 
			        array(
			            'label'      => __( 'Button Text Color', 'experoner' ), 
			            'settings'   => 'experoner_button_text_color', 
			            'section'    => 'global_button_section',
			        ) 
		        ) ); 
		    //global option in Button Text hover color
				$wp_customize->add_setting( 'experoner_button_texthover_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_button_texthover_color', 
			        array(
			            'label'      => __( 'Button Text Hover Color', 'experoner' ), 
			            'settings'   => 'experoner_button_texthover_color', 
			            'section'    => 'global_button_section',
			        ) 
		        ) ); 
		    //global option in Button Background color
				$wp_customize->add_setting( 'experoner_button_bg_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_button_bg_color', 
			        array(
			            'label'      => __( 'Button Background Color', 'experoner' ), 
			            'settings'   => 'experoner_button_bg_color', 
			            'section'    => 'global_button_section',
			        ) 
		        ) );
		    //global option in Button Background Hover color
				$wp_customize->add_setting( 'experoner_button_bg_hover_color', 
			        array(
			            'default'    => '#02cfaa', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_button_bg_hover_color', 
			        array(
			            'label'      => __( 'Background Hover Color', 'experoner' ), 
			            'settings'   => 'experoner_button_bg_hover_color', 
			            'section'    => 'global_button_section',
			        ) 
		        ) );
		    //global option in Button Border color
				$wp_customize->add_setting( 'experoner_button_border_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_button_border_color', 
			        array(
			            'label'      => __( 'Border Color', 'experoner' ), 
			            'settings'   => 'experoner_button_border_color', 
			            'section'    => 'global_button_section',
			        ) 
		        ) );
		    //global option in button border width
		        $wp_customize->add_setting( 'experoner_borderwidth', 
			        array(
			            'default'    => '2', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability'     => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 

		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize, 'experoner_borderwidth', 
			        array(
			            'label'      => __( 'Border Width', 'experoner' ), 
			            'type'  => "number",
			            'settings'   => 'experoner_borderwidth', 
			            'section'    => 'global_button_section',
			            'description' => 'in px',
			        ) 
		        ) ); 
		    //global option in button border radius
		        $wp_customize->add_setting( 'experoner_button_border_radius', 
			        array(
			            'default'    => '3', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability'     => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 

		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize, 'experoner_button_border_radius', 
			        array(
			            'label'      => __( 'Border Radius', 'experoner' ), 
			            'type'  	 => "number",
			            'settings'   => 'experoner_button_border_radius', 
			            'section'    => 'global_button_section',
			            'description'=> 'in px',
			        ) 
		        ) ); 
		    //global option in button padding
		        $wp_customize->add_setting( 'experoner_button_padding', 
			        array(
			            'default'    => '15px 25px', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability'     => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 

		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize, 'experoner_button_padding', 
			        array(
			            'label'      => __( 'Button Padding', 'experoner' ), 
			            'type'  	 => "text",
			            'settings'   => 'experoner_button_padding', 
			            'section'    => 'global_button_section',
			            'description'=> '15px 25px',
			        ) 
		        ) ); 

		// Create global in Container Option
		    $wp_customize->add_section( 'global_container_section' , array(
				'title'             => 'Container',
				'panel'             => 'experoner_global_panel',
			) );
			//global option Container in add Background color
			    $wp_customize->add_setting( 'experoner_container_bg_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_container_bg_color', 
			        array(
			            'label'      => __( 'Background Color', 'experoner' ), 
			            'settings'   => 'experoner_container_bg_color', 
			            'section'    => 'global_container_section',
			        ) 
		        ) );  			
			//global option in Button container width'
				$wp_customize->add_setting( 'experoner_button_container_width', 
			        array(
			        	'default'    => '1200',
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize, 'experoner_button_container_width', 
			        array(
			            'label'      => __( 'Container Width', 'experoner' ), 
			            'settings'   => 'experoner_button_container_width', 
			            'section'    => 'global_container_section',
			            'description'=> 'in px',
			            'type'       => 'number',
			        ) 
		        ) );  
			//global option in Page Layout 
				$wp_customize->add_setting( 'experoner_container_pagelayout', 
			        array(
			        	'default'    => 'content_boxed',
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'experoner_sanitize_select',
			        ) 
			    ); 
		        //$wp_customize->add_control( new Experoner_Custom_Radio_Image_Control( 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize, 'experoner_container_pagelayout', 
			        array(
			            'label'      => __( 'Page Layout', 'experoner' ), 
			            'settings'   => 'experoner_container_pagelayout', 
			            'section'    => 'global_container_section',
			            'type'  => 'select',
			            //'choices' => enlightme_site_width_layout(),
			            'choices'    => array(
				        	'full_layout' => 'Full Width / Contained',
				            'boxed_layout' => 'Boxed Layout',	
				            'content_boxed' => 'Content Boxed',					            
			        	),
			        ) 
		        ) );
		    //global option Container Box layout in add Background color
			    $wp_customize->add_setting( 'experoner_container_boxed_color', 
			        array(
			            'default'    => '#eeeeee', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_container_boxed_color', 
			        array(
			            'label'      => __( 'Box Background Color', 'experoner' ), 
			            'settings'   => 'experoner_container_boxed_color', 
			            'section'    => 'global_container_section',
			            'active_callback'  => 'experoner_Box_layout_callback',
				   							[
												[
													'setting'  => 'experoner_container_pagelayout',
													'operator' => '===',
													'value'    => 'boxed_layout',
												],
											],
			        ) 
		        ) ); 		    
		    //global container blog layout
		        $wp_customize->add_setting( 'experoner_container_blog_layout', 
					array(
						'default'    => 'grid_view', //Default setting/value to save
						'type'       => 'theme_mod',
						'transport'   => 'refresh',
						'capability' => 'edit_theme_options',
						'sanitize_callback' => 'experoner_sanitize_select',
						) 
					); 

				$wp_customize->add_control( new WP_Customize_Control( 
					$wp_customize, 'experoner_container_blog_layout', 
					array(
					       'label'      => __( 'Blog Layout', 'experoner' ), 
					       'settings'   => 'experoner_container_blog_layout', 
					       'section'    => 'global_container_section',
					       'type'    => 'select',
					        'choices'    => array(
					        			'list_view' => 'List View',
					        			'list_view1' => 'List View 1',
										'list_view2' => 'List View 2',
					        			'grid_view' => 'Grid View',
				        	),
					    ) 
				) );
			//grid view section
				$wp_customize->add_setting('grid_view_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'grid_view_section',
			    	array(
				        'settings' => 'grid_view_section',
				        'label'   => 'Grid View',
				        'section' => 'global_container_section',
				        'active_callback'  => 'experoner_gridview_layout_callback',
				   							[
												[
													'setting'  => 'experoner_container_blog_layout',
													'operator' => '===',
													'value'    => 'grid_view',
												],
											],
			        )
			    ));
			//global container grid view columns
				$wp_customize->add_setting( 'experoner_gridview_colmns', 
					array(
						'default'    => '3', //Default setting/value to save
						'type'       => 'theme_mod',
						'transport'   => 'refresh',
						'capability' => 'edit_theme_options',
						'sanitize_callback' => 'experoner_sanitize_select',
						) 
					); 

				$wp_customize->add_control( new WP_Customize_Control( 
					$wp_customize, 'experoner_gridview_colmns', 
					array(
					       'label'      => __( 'Grid View Columns', 'experoner' ), 
					       'settings'   => 'experoner_gridview_colmns', 
					       'section'    => 'global_container_section',
					       'type'    => 'select',
					        'choices'    => array(
					        			'1' => '1',
					        			'2' => '2',
					        			'3' => '3',
				        	),
				        	'active_callback'  => 'experoner_gridview_layout_callback',
				   							[
												[
													'setting'  => 'experoner_container_blog_layout',
													'operator' => '===',
													'value'    => 'grid_view',
												],
											],
					    ) 
				) );
			//global container grid view columns gep
				$wp_customize->add_setting( 'experoner_gridview_columns_gep', 
					array(
					      'default'    => '0', //Default setting/value to save
					      'type'       => 'theme_mod',
					      'transport'   => 'refresh',
					      'capability' => 'edit_theme_options',
					      'sanitize_callback' => 'sanitize_text_field',
					    ) 
					); 

				$wp_customize->add_control( new WP_Customize_Control( 
					$wp_customize,'experoner_gridview_columns_gep', 
				        array(
				            'label'      => __( 'Grid View Columns Gep', 'experoner' ), 
				            'settings'   => 'experoner_gridview_columns_gep', 
				            'section'    => 'global_container_section',
				            'description' => 'in px',
				            'active_callback'  => 'experoner_gridview_layout_callback',
				   							[
												[
													'setting'  => 'experoner_container_blog_layout',
													'operator' => '===',
													'value'    => 'grid_view',
												],
											],				            
				        ) 
				) );

			//Content Boxed title
				$wp_customize->add_setting('content_boxed_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'content_boxed_section',
			    	array(
				        'settings' => 'content_boxed_section',
				        'label'   => 'Content Boxed',
				        'section' => 'global_container_section',
				        'active_callback'  => 'experoner_content_box_layout_callback',
				   							[
												[
													'setting'  => 'experoner_container_pagelayout',
													'operator' => '===',
													'value'    => 'content_boxed',
												],
											],
			        )
			    ));
			//global option Container Box layout in add Background color
			    $wp_customize->add_setting( 'experoner_container_content_boxed_color', 
			        array(
			            'default'    => '#eeeeee', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_container_content_boxed_color', 
			        array(
			            'label'      => __( 'Content Box Background Color', 'experoner' ), 
			            'settings'   => 'experoner_container_content_boxed_color', 
			            'section'    => 'global_container_section',
			            'active_callback'  => 'experoner_content_box_layout_callback',
				   							[
												[
													'setting'  => 'experoner_container_pagelayout',
													'operator' => '===',
													'value'    => 'content_boxed',
												],
											],
			        ) 
		        ) ); 		    
		    //Content Box margin
		        $wp_customize->add_setting( 'experoner_container_content_boxed_margin', 
			        array(
			        	'default'    => '15', 
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize,'experoner_container_content_boxed_margin', 
			        array(
			            'label'      => __( 'Content Box Margin', 'experoner' ), 
			            'settings'   => 'experoner_container_content_boxed_margin',
			            'type'       => "number", 
			            'section'    => 'global_container_section',
			            'description' => 'in px',
			            'input_attrs' => array(
											    'min' => 1,
											    'max' => 100,
											),
			            'active_callback'  => 'experoner_content_box_layout_callback',
				   							[
												[
													'setting'  => 'experoner_container_pagelayout',
													'operator' => '===',
													'value'    => 'content_boxed',
												],
											],
			        ) 
		        ) );     
		    
		    //Content Box Border radius
		        $wp_customize->add_setting( 'experoner_container_content_boxed_radius', 
			        array(
			        	'default'    => '5', 
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize,'experoner_container_content_boxed_radius', 
			        array(
			            'label'      => __( 'Content Box Border Radius', 'experoner' ), 
			            'settings'   => 'experoner_container_content_boxed_radius',
			            'type'       => "number", 
			            'section'    => 'global_container_section',
			            'description' => 'in px',
			            'input_attrs' => array(
											    'min' => 1,
											    'max' => 100,
											),
			            'active_callback'  => 'experoner_content_box_layout_callback',
				   							[
												[
													'setting'  => 'experoner_container_pagelayout',
													'operator' => '===',
													'value'    => 'content_boxed',
												],
											],
			        ) 
		        ) ); 			

		    //Display meta and entry-content title
				$wp_customize->add_setting('display_meta_content_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'display_meta_content_section',
			    	array(
				        'settings' => 'display_meta_content_section',
				        'label'   => 'Display Meta and content',
				        'section' => 'global_container_section',
			        )
			    ));
			//display content 
		        $wp_customize->add_setting( 'experoner_content', array(		                
					'default'   => true,
					'priority'  => 10,
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_content', 
					array(
						'label' => 'Display Content',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'global_container_section',
						'settings' => 'experoner_content',
						)
				));
		    //display container description
		        $wp_customize->add_setting( 'experoner_container_description', array(		                
					'default'   => false,
					'priority'  => 10,
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_container_description', 
					array(
						'label' => 'Display Container Description',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'global_container_section',
						'settings' => 'experoner_container_description',
						)
				));
			//display container Date
		        $wp_customize->add_setting( 'experoner_container_date', array(		                
					'default'   => true,
					'priority'  => 10,
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_container_date', 
					array(
						'label' => 'Display Container Date',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'global_container_section',
						'settings' => 'experoner_container_date',
						)
				));
			//display container Authore
		        $wp_customize->add_setting( 'experoner_container_authore', array(		                
					'default'   => false,
					'priority'  => 10,
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_container_authore', 
					array(
						'label' => 'Display Container Authore',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'global_container_section',
						'settings' => 'experoner_container_authore',
						)
				));
			//display container Category
		        $wp_customize->add_setting( 'experoner_container_category', array(		                
					'default'   => true,
					'priority'  => 10,
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_container_category', 
					array(
						'label' => 'Display Container Category',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'global_container_section',
						'settings' => 'experoner_container_category',
						)
				));
			//display container comments
		        $wp_customize->add_setting( 'experoner_container_comments', array(		                
					'default'   => false,
					'priority'  => 10,
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_container_comments', 
					array(
						'label' => 'Display Container Comments',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'global_container_section',
						'settings' => 'experoner_container_comments',
						)
				));

		//Create global in Scroll Button
			$wp_customize->add_section( 'scroll_button_section' , array(
				'title'             => 'Scroll Button',
				'panel'             => 'experoner_global_panel',
			) ); 
			//Scroll Button display
				$wp_customize->add_setting( 'display_scroll_button', array(		                
					'default'   => true,
					'priority'  => 10,
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'display_scroll_button', 
					array(
						'label' => 'Display Scroll Button',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'scroll_button_section',
						'settings' => 'display_scroll_button',
						)
				));			
			//Scroll Button in add Background color
			    $wp_customize->add_setting( 'experoner_scroll_button_bg_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_scroll_button_bg_color', 
			        array(
			            'label'      => __( 'Background Color', 'experoner' ), 
			            'settings'   => 'experoner_scroll_button_bg_color', 
			            'priority'   => 10,
			            'section'    => 'scroll_button_section',
			            'active_callback' => 'experoner_scroll_callback',
			        ) 
		        ) );
		    //Scroll Button in add Background Hover color
			    $wp_customize->add_setting( 'experoner_scroll_button_bg_hover_color', 
			        array(
			            'default'    => '#3582c4', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_scroll_button_bg_hover_color', 
			        array(
			            'label'      => __( 'Background Hover Color', 'experoner' ), 
			            'settings'   => 'experoner_scroll_button_bg_hover_color', 
			            'priority'   => 10,
			            'section'    => 'scroll_button_section',
			            'active_callback' => 'experoner_scroll_callback',
			        ) 
		        ) );   
		    //Scroll Button in add color
			    $wp_customize->add_setting( 'expenroer_scroll_button_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'expenroer_scroll_button_color', 
			        array(
			            'label'      => __( 'Scroll Icon Color', 'experoner' ), 
			            'settings'   => 'expenroer_scroll_button_color', 
			            'priority'   => 10,
			            'section'    => 'scroll_button_section',
			            'active_callback' => 'experoner_scroll_callback',
			        ) 
		        ) );
		    //Scroll Button in add color
			    $wp_customize->add_setting( 'expenroer_scroll_button_hover_color', 
			        array(
			            'default'    => '#000000', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'expenroer_scroll_button_hover_color', 
			        array(
			            'label'      => __( 'Scroll Icon Hover Color', 'experoner' ), 
			            'settings'   => 'expenroer_scroll_button_hover_color', 
			            'priority'   => 10,
			            'section'    => 'scroll_button_section',
			            'active_callback' => 'experoner_scroll_callback',
			        ) 
		        ) );               
    
    //Sidebar Create in add
		$wp_customize->add_panel( 'experoner_sidebar_panel', array(
			'title'    => __('Sidebar', 'experoner'),
			'priority' => 3,
		) );

			$post_types = get_post_types(array('public' => true), 'names', 'and');

		    foreach ($post_types  as $post_type) {
				$wp_customize->add_section( 'sidebar_section_' .$post_type, array(
					'title'             => $post_type .' Sidebar',
					'panel'             => 'experoner_sidebar_panel',
				) );

				//sidebar in add layout select dropdown
			        $wp_customize->add_setting('experoner_post_sidebar_select_' . $post_type , array(
						'default'   => 'right_sidebar',
				        'type'       => 'theme_mod',
				        'capability'     => 'edit_theme_options',
				        'transport'   => 'refresh',
				        'sanitize_callback' => 'experoner_sanitize_select',		  
				    ));
				    $layout_label= $post_type . ' Layout:';
				    $wp_customize->add_control( new Experoner_Custom_Radio_Image_Control(
				    	$wp_customize,'experoner_post_sidebar_select_' . $post_type,
				    	array(
					        'settings' => 'experoner_post_sidebar_select_'. $post_type,
					        'label'   => $layout_label,
					        'section' => 'sidebar_section_'.$post_type,
					        'type'    => 'select',
					        'choices' => experoner_enlightme_site_layout(),
				        )
				    ));

			    //sidebar in width text filed
					$wp_customize->add_setting( 'experoner_post_sidebar_width_' . $post_type, 
				        array(
				            'default'    => '30', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'capability'     => 'edit_theme_options',
				            'transport'   => 'refresh',
				            'sanitize_callback' => 'sanitize_text_field',
				        ) 
				    );
			        $wp_customize->add_control( new WP_Customize_Control( 
				        $wp_customize, 
				        'experoner_post_sidebar_width_' . $post_type, 
				        array(
				            'label'      =>$post_type . ' Sidebar Width:', 
				            'type'  => "number",
				            'settings'   => 'experoner_post_sidebar_width_' . $post_type, 
				            'section'    => 'sidebar_section_'.$post_type,
				            'description' => 'in %',
				        ) 
			        ) ); 
			} 

	//Blog option in add
		$wp_customize->add_panel( 'experoner_blog_panel', array(
			'title'     => __('Blog', 'experoner'),
			'priority'  => 4,
		) );
		//Blog Section
			$wp_customize->add_section( 'experoner_blog_section' , array(
				'title'   => 'Blog',
				'panel'   => 'experoner_blog_panel',
			) );
			//Display Featured Image in blog section
				$wp_customize->add_setting('experoner_blod_image_select', array(
		        	'default'    => true,
			        'type'       => 'theme_mod',
			        'capability' => 'edit_theme_options',
			        'transport'  => 'refresh',
			        'sanitize_callback' => 'experoner_sanitize_checkbox',		  
			    ));
			    $wp_customize->add_control( new Experoner_Custom_Radio_Image_Control(
			    	$wp_customize,'experoner_blod_image_select',
			    	array(
				        'settings' => 'experoner_blod_image_select',
				        'label'    => 'Featured Image',
				        'section'  => 'experoner_blog_section',
				        'type'     => 'checkbox',
			        )
			    ));
			//Display Title and blog meta in blog section
				$wp_customize->add_setting('experoner_blod_title_meta_select', array(
		        	'default'    => true,
			        'type'       => 'theme_mod',
			        'capability' => 'edit_theme_options',
			        'transport'  => 'refresh',
			        'sanitize_callback' => 'experoner_sanitize_checkbox',		  
			    ));
			    $wp_customize->add_control( new Experoner_Custom_Radio_Image_Control(
			    	$wp_customize,'experoner_blod_title_meta_select',
			    	array(
				        'settings' => 'experoner_blod_title_meta_select',
				        'label'    => 'Title & Blog Meta',
				        'section'  => 'experoner_blog_section',
				        'type'     => 'checkbox',
			        )
			    ));

	    //Post section
			$wp_customize->add_section( 'experoner_single_post_section' , array(
				'title'   => 'Sigle Post page',
				'panel'   => 'experoner_blog_panel',
			) );
			//Display Featured Image in single post section
				$wp_customize->add_setting('experoner_post_image_select', array(
		        	'default'    => true,
			        'type'       => 'theme_mod',
			        'capability' => 'edit_theme_options',
			        'transport'  => 'refresh',
			        'sanitize_callback' => 'experoner_sanitize_checkbox',		  
			    ));
			    $wp_customize->add_control( new Experoner_Custom_Radio_Image_Control(
			    	$wp_customize,'experoner_post_image_select',
			    	array(
				        'settings' => 'experoner_post_image_select',
				        'label'    => 'Featured Image',
				        'section'  => 'experoner_single_post_section',
				        'type'     => 'checkbox',
			        )
			    ));
			//Display Title and blog meta in post section
				$wp_customize->add_setting('experoner_post_title_meta_select', array(
		        	'default'    => true,
			        'type'       => 'theme_mod',
			        'capability' => 'edit_theme_options',
			        'transport'  => 'refresh',
			        'sanitize_callback' => 'experoner_sanitize_checkbox',		  
			    ));
			    $wp_customize->add_control( new Experoner_Custom_Radio_Image_Control(
			    	$wp_customize,'experoner_post_title_meta_select',
			    	array(
				        'settings' => 'experoner_post_title_meta_select',
				        'label'    => 'Title & Blog Meta',
				        'section'  => 'experoner_single_post_section',
				        'type'     => 'checkbox',
			        )
			    ));

	// Create Breadcrumb Options
			$wp_customize->add_section( 'global_breadcrumb_section' , array(
				'title'   => 'Breadcrumb Options',
				'priority'  => 5,
			) );
			//Breadcrumb Options Title
				$wp_customize->add_setting( 'experoner_breadcrumb_title', array(	
					'priority'  => 0,
					'sanitize_callback' => 'sanitize_text_field',
				));							    
				$wp_customize->add_control(  new Experoner_Upsell_Section(
					$wp_customize,'experoner_breadcrumb_title', 
					array(
						'label' => 'Setting',
						'section' => 'global_breadcrumb_section',
						'settings' => 'experoner_breadcrumb_title',
						)
				));
				if ( isset( $wp_customize->selective_refresh ) ) {
					$wp_customize->selective_refresh->add_partial(
						'experoner_breadcrumb_title',
						array(
							'selector'        => '.breadcrumb-area',
							'render_callback' => 'experoner_customize_partial_breadcrumb_section',
						)
					);
				}
			
			//home page in breadcrumb display
				$wp_customize->add_setting( 'experoner_breadcrumb_home_options', array(		                
					'default'   => false,
					'priority'  => 10,
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_breadcrumb_home_options', 
					array(
						'label' => 'Disable On Breadcrumb Home Page',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'global_breadcrumb_section',
						'settings' => 'experoner_breadcrumb_home_options',
						)
				));
			//Entire page in breadcrumb display
				$wp_customize->add_setting( 'experoner_breadcrumb_allpage_options', array(		                
					'default'   => false,
					'priority'  => 10,
					'sanitize_callback' => 'experoner_sanitize_checkbox',
				));							    
				$wp_customize->add_control(  new WP_Customize_Control(
					$wp_customize,'experoner_breadcrumb_allpage_options', 
					array(
						'label' => 'Disable On Breadcrumb Entire Site',
						'type'  => 'checkbox', // this indicates the type of control
						'section' => 'global_breadcrumb_section',
						'settings' => 'experoner_breadcrumb_allpage_options',
						)
				));
			//Breadcrumb Options Title background
				$wp_customize->add_setting( 'experoner_breadcrumb_background_title', array(	
					'priority'  => 10,
					'sanitize_callback' => 'sanitize_text_field',
				));							    
				$wp_customize->add_control(  new Experoner_Upsell_Section(
					$wp_customize,'experoner_breadcrumb_background_title', 
					array(
						'label' => 'Background',
						'section' => 'global_breadcrumb_section',
						'settings' => 'experoner_breadcrumb_background_title',
						)
				));
			//breadcrumb in text color
				$wp_customize->add_setting( 'experoner_breadcrumb_text_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize, 'experoner_breadcrumb_text_color', 
			        array(
			            'label'      => __( 'Breadcrumb Text Color', 'experoner' ), 
			            'settings'   => 'experoner_breadcrumb_text_color', 
			            'section'    => 'global_breadcrumb_section',
			        ) 
		        ) ); 
			//breadcrumb in background image
				$wp_customize->add_setting('breadcrumb_background_image', array(
		        	'type'       => 'theme_mod',
			        'transport'     => 'refresh',
			        'height'        => 180,
			        'width'        => 160,
			        'capability' => 'edit_theme_options',
			        'sanitize_callback' => 'esc_url_raw'
			    ));
			    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'breadcrumb_background_image', array(
			        'label' => __('Backgroung Image', 'experoner'),
			        'section' => 'global_breadcrumb_section',
			        'settings' => 'breadcrumb_background_image',
			        'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			    )));
			//breadcrumb in image background position
			    $wp_customize->add_setting('experoner_breadcrumb_bg_position', array(
			        'default'        => 'center center',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_breadcrumb_bg_position',
			    	array(
				        'settings' => 'experoner_breadcrumb_bg_position',
				        'label'   => 'Background Position',
				        'section' => 'global_breadcrumb_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'left top' => 'Left Top',
				        	'left center' => 'Left Center',
				        	'left bottom' => 'Left Bottom',
				            'right top' => 'Right Top',
				            'right center' => 'Right Center',
				            'right bottom' => 'Right Bottom',
				            'center top' => 'Center Top',
				            'center center' => 'Center Center',
				            'center bottom' => 'Center Bottom',
			        	),
			        )
			    )); 
			//breadcrumb in image background attachment
			    $wp_customize->add_setting('experoner_breadcrumb_bg_attachment', array(
			        'default'        => 'scroll',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_breadcrumb_bg_attachment',
			    	array(
				        'settings' => 'experoner_breadcrumb_bg_attachment',
				        'label'   => 'Background Attachment',
				        'section' => 'global_breadcrumb_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'scroll' => 'Scroll',
				        	'fixed' => 'Fixed',
			        	),
			        )
			    ));
			//breadcrumb in image background Size
			    $wp_customize->add_setting('experoner_breadcrumb_bg_size', array(
			        'default'        => 'cover',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_breadcrumb_bg_size',
			    	array(
				        'settings' => 'experoner_breadcrumb_bg_size',
				        'label'   => 'Background Size',
				        'section' => 'global_breadcrumb_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'auto' => 'Auto',
				        	'cover' => 'Cover',
				            'contain' => 'Contain'
			        	),
			        )
			    )); 

	//Front Page Create our panels
		$wp_customize->add_panel( 'experoner_theme_panel', array(
			'title'          => __('FrontPage Sections', 'experoner'),
			'priority'  => 6,
		) );
		
		//Featured Slider in add
			$wp_customize->add_section( 'image_slider' , array(
				'title'             => 'Featured Slider',
				'priority'  => 1,
				'panel'   => 'experoner_theme_panel',
			) );
			//Featured Slider in tabing
				$wp_customize->add_setting( 'featuredimage_slider_tab', 
			        array(
			            'default'    => 'general', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability'     => 'edit_theme_options',
			            'sanitize_callback' => 'experoner_sanitize_select',
			        ) 
			    ); 
		        $wp_customize->add_control( new Experoner_Custom_Radio_Control( 
			        $wp_customize,'featuredimage_slider_tab',array(
			            'settings'   => 'featuredimage_slider_tab', 
			            'priority'   => 10,
			            'section'    => 'image_slider',
			            'type'    => 'select',
			            'choices'    => array(
				        	'general' => 'General',
				        	'design' => 'Design',
			        	),
			        ) 
		        ) );
	        //Featured Slider in number of slides
			    $wp_customize->add_setting( 'image_slider_number', array(
			    	'default'  => 3,
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'experoner_sanitize_number_range',
				) );
				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'image_slider_number',
			    	array(
						'type' => 'number',
						'settings'   => 'image_slider_number', 
						'section' => 'image_slider', // // Add a default or your own section
						'label' => 'No of Slides',
						'active_callback'  => 'experoner_featured_generalcallback',
						'description' => 'Save and refresh the page if No. of Slides is changed (Max no of slides is 3)',
						'input_attrs' => array(
									    'min' => 1,
									    'max' => 3,
									),					   
					)
				) );
				if ( isset( $wp_customize->selective_refresh ) ) {
					$wp_customize->selective_refresh->add_partial(
						'image_slider_number',
						array(
							'selector'        => '.featuredimage_slider',
							'render_callback' => 'experoner_customize_partial_featured_slider',
						)
					);
				}

				$slider_number = get_theme_mod( 'image_slider_number', 3 );
					for ( $i = 1; $i <= $slider_number ; $i++ ) {		
					    //slider heading
							$wp_customize->add_setting('experoner_slider_title_' . $i , array(						
		                        'type'       => 'theme_mod',
		                        'capability'     => 'edit_theme_options',
		                        'transport'   => 'refresh',
		                        'sanitize_callback' => 'sanitize_text_field', 
		                    ));
		                    $slider_labels= 'Slider ' . $i ;
		                    $wp_customize->add_control( new Experoner_Upsell_Section(
		                        $wp_customize,'experoner_slider_title_' . $i,
		                        array(
		                            'settings' => 'experoner_slider_title_'. $i,
		                            'label'   => $slider_labels,
		                            'section' => 'image_slider',
		                            'type'    => 'Text',
		                            'active_callback'  => 'experoner_featured_generalcallback',
		                        )
		                    ));
		                //Featured Slider title
							$wp_customize->add_setting('experoner_image_slider_' . $i , array(						
		                        'type'       => 'theme_mod',
		                        'capability'     => 'edit_theme_options',
		                        'transport'   => 'refresh',
		                        'sanitize_callback' => 'sanitize_text_field',        
		                    ));
		                    $slider_labels= 'Title # ' . $i ;
		                    $wp_customize->add_control( new WP_Customize_Control(
		                        $wp_customize,'experoner_image_slider_' . $i,
		                        array(
		                            'settings' => 'experoner_image_slider_'. $i,
		                            'label'   => $slider_labels,
		                            'section' => 'image_slider',
		                            'type'    => 'Text',
		                            'active_callback'  => 'experoner_featured_generalcallback',
		                        )
		                    ));
		                //Featured Slider description
		                    $wp_customize->add_setting('experoner_image_slider_description_' . $i , array(
		                        'type'       => 'theme_mod',
		                        'capability'     => 'edit_theme_options',
		                        'transport'   => 'refresh',
		                        'sanitize_callback' => 'sanitize_textarea_field',         
		                    ));
		                    $slider_des_labels= 'Discription # ' . $i ;
		                    $wp_customize->add_control( new WP_Customize_Control(
		                        $wp_customize,'experoner_image_slider_description_' . $i,
		                        array(
		                            'settings' => 'experoner_image_slider_description_'. $i,
		                            'label'   => $slider_des_labels,
		                            'section' => 'image_slider',
		                            'type'    => 'textarea',
		                            'active_callback'  => 'experoner_featured_generalcallback',
		                        )
		                    ));
		                //Featured Slider images
		                    $slider_images= 'Image # ' . $i ;
		                    $wp_customize->add_setting('experoner_image_sliders_' . $i, array(
					        	'type'       => 'theme_mod',
						        'transport'     => 'refresh',
						        'height'        => 180,
						        'width'        => 160,
						        'capability' => 'edit_theme_options',
						        'sanitize_callback' => 'esc_url_raw'
						    ));
						    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'experoner_image_sliders_' . $i, array(
						        'label' =>  $slider_images,
						        'section' => 'image_slider',
						        'settings' => 'experoner_image_sliders_' . $i,
						        'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
						        'active_callback'  => 'experoner_featured_generalcallback',
						    )));
					    
					    //slider button text
						    $wp_customize->add_setting( 'slider_button_text_'. $i, array(
							    'type'       => 'theme_mod',
						        'transport'   => 'refresh',
						        'capability'     => 'edit_theme_options',
						        'sanitize_callback' => 'sanitize_text_field',
							) );
						    $slider_button= 'Button Text ' . $i ;
							$wp_customize->add_control( new WP_Customize_Control(
						    	$wp_customize,'slider_button_text_'. $i,
						    	array(
									'type' => 'text',
									'settings'   => 'slider_button_text_'. $i, 
									'section' => 'image_slider', // // Add a default or your own section
									'label' => $slider_button,
									'active_callback'  => 'experoner_featured_generalcallback',
								)
							) );
						//slider button link
						    $wp_customize->add_setting( 'slider_button_link_'. $i, array(
							    'type'       => 'theme_mod',
						        'transport'   => 'refresh',
						        'capability'     => 'edit_theme_options',
						        'sanitize_callback' => 'sanitize_text_field',
							) );
						    $slider_button= 'Button link ' . $i ;
							$wp_customize->add_control( new WP_Customize_Control(
						    	$wp_customize,'slider_button_link_'. $i,
						    	array(
									'type' => 'text',
									'settings'   => 'slider_button_link_'. $i, 
									'section' => 'image_slider', // // Add a default or your own section
									'label' => $slider_button,
									'active_callback'  => 'experoner_featured_generalcallback',
								)
							) );
					}
				//Featured Slider in pro option
					$wp_customize->add_setting('featured_slider_pro', array(
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',
				        'sanitize_callback' => 'sanitize_text_field',
				    ));
				    $wp_customize->add_control( new experoner_pro_option_Control(
				    	$wp_customize,'featured_slider_pro',
				    	array(
					        'settings' => 'featured_slider_pro',
					        'label'   => 'More Options Available in Experoner Pro!',
					        'section' => 'image_slider',
					        'active_callback'  => 'experoner_featured_generalcallback',
				        )
				    ));
			//Featured Slider in autoplay true
			    $wp_customize->add_setting('experoner_featured_slider_autoplay', array(
			        'default'        => 'true',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'experoner_sanitize_select',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_featured_slider_autoplay',
			    	array(
				        'settings' => 'experoner_featured_slider_autoplay',
				        'label'   => 'Autoplay',
				        'section' => 'image_slider',
				        'type'  => 'select',
				        'choices'    => array(
				        	'true' => 'True',
				        	'false' => 'False',
			        	),
			        	'active_callback'  => 'experoner_featured_designcallback',
			        )
			    ));        
			//Featured Slider in autoplay speed
			    $wp_customize->add_setting('experoner_featured_slider_autoplay_speed', array(
			    	'default'        => '1000',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_featured_slider_autoplay_speed',
			    	array(
				        'settings' => 'experoner_featured_slider_autoplay_speed',
				        'label'   => 'AutoplaySpeed',
				        'section' => 'image_slider',
				        'type'  => 'text',
				        'active_callback'  => 'experoner_featured_designcallback',
			        )
			    )); 
			//Featured Slider in title color
					$wp_customize->add_setting( 'experoner_featured_Slider_color', 
				        array(
				            'default'    => '#ffffff', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_hex_color',
				        ) 
				    ); 
			        $wp_customize->add_control( new WP_Customize_Color_Control( 
				        $wp_customize,'experoner_featured_Slider_color', 
				        array(
				            'label'      => __( 'Title Color', 'experoner' ), 
				            'settings'   => 'experoner_featured_Slider_color', 
				            'priority'   => 10,
				            'section'    => 'image_slider',
							'active_callback'  => 'experoner_featured_designcallback',
				        ) 
			        ) );  	  

		//Featured section in experoner theme
				$wp_customize->add_section( 'experoner_featured_section_section' , array(
					'title'   => 'Featured section',
					'priority'  => 2,
					'panel'   => 'experoner_theme_panel',
				) );
				//Featured section in tabing
					$wp_customize->add_setting( 'featured_section_tab', 
				        array(
				            'default'    => 'general', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability'     => 'edit_theme_options',
				            'sanitize_callback' => 'experoner_sanitize_select',
				        ) 
				    ); 
			        $wp_customize->add_control( new Experoner_Custom_Radio_Control( 
				        $wp_customize,'featured_section_tab',array(
				            'settings'   => 'featured_section_tab', 
				            'priority'   => 10,
				            'section'    => 'experoner_featured_section_section',
				            'type'    => 'select',
				            'choices'    => array(
					        	'general' => 'General',
					        	'design' => 'Design',
				        	),
				        ) 
			        ) );
					//experoner Featured Title
					    $wp_customize->add_setting( 'experoner_featured_title', array(
					    	'default'  => 'Featured Section',
						    'type'       => 'theme_mod',
					        'transport'   => 'refresh',
					        'capability'     => 'edit_theme_options',
					        'sanitize_callback' => 'sanitize_text_field',
						) );
						$wp_customize->add_control( new WP_Customize_Control(
					    	$wp_customize,'experoner_featured_title',
					    	array(
								'type' => 'Text',
								'settings'   => 'experoner_featured_title', 
								'section' => 'experoner_featured_section_section', // // Add a default or your own section
								'label' => 'Featured Title',
								'active_callback'  => 'experoner_featuredsection_generalcallback',
							)
						) );
					if ( isset( $wp_customize->selective_refresh ) ) {
						$wp_customize->selective_refresh->add_partial(
							'experoner_featured_title',
							array(
								'selector'        => '.featured-section_data',
								'render_callback' => 'experoner_customize_partial_featured_section',
							)
						);
					}
					//Featured section in selected number
						$wp_customize->add_setting( 'experoner_about_number', array(
							'default'  => 6,
							'type'       => 'theme_mod',
							'transport'   => 'refresh',
							'capability'     => 'edit_theme_options',
							'sanitize_callback' => 'experoner_sanitize_number_range',
						) );
						$wp_customize->add_control( new WP_Customize_Control(
							$wp_customize,'experoner_about_number',
							array(
								'type' => 'number',
								'settings'   => 'experoner_about_number', 
								'section' => 'experoner_featured_section_section', // // Add a default or your own section
								'label' => 'No of Content',
								'active_callback'  => 'experoner_featuredsection_generalcallback',
								'description' => 'Save and refresh the page if No. Of Content is changed (Max no of section 6)',
								'input_attrs' => array(
												'min' => 1,
												'max' => 6,
											),					   
							)
						) );	
	                    $about_number = get_theme_mod( 'experoner_about_number', 6 );
						for ( $i = 1; $i <= 6 ; $i++ ) {
							//experoner about data featured Title
							    $wp_customize->add_setting( 'experoner_featured_section_title'.$i, array(
								    'type'       => 'theme_mod',
							        'transport'   => 'refresh',
							        'capability'     => 'edit_theme_options',
							        'sanitize_callback' => 'sanitize_text_field',
								) );
								$about_title = 'Featured Section ' .$i;
								$wp_customize->add_control( new Experoner_Upsell_Section(
							    	$wp_customize,'experoner_featured_section_title'.$i,
							    	array(
										'type' => 'Text',
										'settings'   => 'experoner_featured_section_title'.$i, 
										'section' => 'experoner_featured_section_section', // // Add a default or your own section
										'label' => $about_title,
										'active_callback'  => 'experoner_featuredsection_generalcallback',
									)
								) );
							//experoner about data Title
							    $wp_customize->add_setting( 'experoner_featured_about_title'.$i, array(
								    'type'       => 'theme_mod',
							        'transport'   => 'refresh',
							        'capability'     => 'edit_theme_options',
							        'sanitize_callback' => 'sanitize_text_field',
								) );
								$about_title = 'Title ' .$i;
								$wp_customize->add_control( new WP_Customize_Control(
							    	$wp_customize,'experoner_featured_about_title'.$i,
							    	array(
										'type' => 'Text',
										'settings'   => 'experoner_featured_about_title'.$i, 
										'section' => 'experoner_featured_section_section', // // Add a default or your own section
										'label' => $about_title,
										'active_callback'  => 'experoner_featuredsection_generalcallback',
									)
								) );
							//experoner about data Description
							    $wp_customize->add_setting( 'experoner_featured_about_description'.$i, array(
								    'type'       => 'theme_mod',
							        'transport'   => 'refresh',
							        'capability'     => 'edit_theme_options',
							        'sanitize_callback' => 'sanitize_text_field',
								) );
								$about_description = 'Description ' .$i;
								$wp_customize->add_control( new WP_Customize_Control(
							    	$wp_customize,'experoner_featured_about_description'.$i,
							    	array(
										'type' => 'Text',
										'settings'   => 'experoner_featured_about_description'.$i, 
										'section' => 'experoner_featured_section_section', // // Add a default or your own section
										'label' => $about_description,
										'active_callback'  => 'experoner_featuredsection_generalcallback',
									)
								) );
							//
								$wp_customize->add_setting('features_one_icon'. $i,
							        array(
							            'default' => 'fa fa-user',
							            'transport' => 'refresh',
							            'type'       => 'theme_mod',
							            'capability' => 'edit_theme_options',
							            'sanitize_callback' => 'sanitize_text_field',
							        )
							    );

							    $wp_customize->add_control( new WP_Customize_Control(
							    	$wp_customize,'features_one_icon'.$i,
							    	array(
							            'type'        => 'text',
										'settings'    => 'features_one_icon'.$i,
										'label'       => 'Select Features Icon '.$i,
										'description' =>  __('Select font awesome icons <a target="_blank" href="https://fontawesome.com/v4.7.0/icons/">Click Here</a> for select icon','experoner'),
										'section'     => 'experoner_featured_section_section',
										'active_callback'  => 'experoner_featuredsection_generalcallback',
							        )
							    ));	
						}
						//Featured Slider in pro option
							$wp_customize->add_setting('featured_section_pro', array(
						        'type'       => 'theme_mod',
						        'transport'   => 'refresh',
						        'capability'     => 'edit_theme_options',
						        'sanitize_callback' => 'sanitize_text_field',
						    ));
						    $wp_customize->add_control( new experoner_pro_option_Control(
						    	$wp_customize,'featured_section_pro',
						    	array(
							        'settings' => 'featured_section_pro',
							        'label'   => 'More Options Available in Experoner Pro!',
							        'section' => 'experoner_featured_section_section',
							        'active_callback' => 'experoner_featuredsection_generalcallback',
						        )
						    ));
						//experoner Featured Section columns
						    $wp_customize->add_setting( 'experoner_featured_section_columns', array(
						    	'default' => 3,
							    'type'       => 'theme_mod',
						        'transport'   => 'refresh',
						        'capability'     => 'edit_theme_options',
						        'sanitize_callback' => 'sanitize_text_field',
							) );
							$wp_customize->add_control( new WP_Customize_Control(
						    	$wp_customize,'experoner_featured_section_columns',
						    	array(
									'type' => 'number',
									'settings'   => 'experoner_featured_section_columns', 
									'section' => 'experoner_featured_section_section', // // Add a default or your own section
									'label' => 'Columns',
									'choices'    => array(
							        			'1' => '1',
							        			'2' => '2',
							        			'3' => '3',
							        			'4' => '4',
							        			'5' => '5',
						        	),
						        	'input_attrs' => array(
									    'min' => 1,
									    'max' => 5,
									),
									'active_callback'  => 'experoner_featuredsection_designcallback',
								)
							) );
				//Featured section in Text color
					$wp_customize->add_setting( 'experoner_featured_text_color', 
				        array(
				            'default'    => '#214462', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_hex_color',
				        ) 
				    ); 
			        $wp_customize->add_control( new WP_Customize_Color_Control( 
				        $wp_customize,'experoner_featured_text_color', 
				        array(
				            'label'      => __( 'Title Text Color', 'experoner' ), 
				            'settings'   => 'experoner_featured_text_color', 
				            'priority'   => 10,
				            'section'    => 'experoner_featured_section_section',
							'active_callback'  => 'experoner_featuredsection_designcallback',
				        ) 
			        ) );  
				//Featured section in background color
					$wp_customize->add_setting( 'experoner_featured_bg_color', 
				        array(
				            'default'    => '#ffffff', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_hex_color',
				        ) 
				    ); 
			        $wp_customize->add_control( new WP_Customize_Color_Control( 
				        $wp_customize,'experoner_featured_bg_color', 
				        array(
				            'label'      => __( 'Background Color', 'experoner' ), 
				            'settings'   => 'experoner_featured_bg_color', 
				            'priority'   => 10,
				            'section'    => 'experoner_featured_section_section',
							'active_callback'  => 'experoner_featuredsection_designcallback',
				        ) 
			        ) );  			
				//Featured section in background hover color
					$wp_customize->add_setting( 'experoner_featured_hover_bg_color', 
				        array(
				            'default'    => '#214462', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_hex_color',
				        ) 
				    ); 
			        $wp_customize->add_control( new WP_Customize_Color_Control( 
				        $wp_customize,'experoner_featured_hover_bg_color', 
				        array(
				            'label'      => __( 'Content Background hover Color', 'experoner' ), 
				            'settings'   => 'experoner_featured_hover_bg_color', 
				            'priority'   => 10,
				            'section'    => 'experoner_featured_section_section',
							'active_callback'  => 'experoner_featuredsection_designcallback',
				        ) 
			        ) );  
			    //featured section in icon color
			        $wp_customize->add_setting( 'experoner_featured_icon_color', 
				        array(
				            'default'    => '#214462', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_hex_color',
				        ) 
				    ); 
			        $wp_customize->add_control( new WP_Customize_Color_Control( 
				        $wp_customize,'experoner_featured_icon_color', 
				        array(
				            'label'      => __( 'Icon Color', 'experoner' ), 
				            'settings'   => 'experoner_featured_icon_color', 
				            'priority'   => 10,
				            'section'    => 'experoner_featured_section_section',
							'active_callback'  => 'experoner_featuredsection_designcallback',
				        ) 
			        ) ); 
			    //Featured section in Icon hover color
					$wp_customize->add_setting( 'experoner_featured_color', 
				        array(
				            'default'    => '#ffffff', //Default setting/value to save
				            'type'       => 'theme_mod',
				            'transport'   => 'refresh',
				            'capability' => 'edit_theme_options',
				            'sanitize_callback' => 'sanitize_hex_color',
				        ) 
				    ); 
			        $wp_customize->add_control( new WP_Customize_Color_Control( 
				        $wp_customize,'experoner_featured_color', 
				        array(
				            'label'      => __( 'Icon Hover Color', 'experoner' ), 
				            'settings'   => 'experoner_featured_color', 
				            'priority'   => 10,
				            'section'    => 'experoner_featured_section_section',
							'active_callback'  => 'experoner_featuredsection_designcallback',
				        ) 
			        ) ); 
	            //Featured section in icon font size
					$wp_customize->add_setting( 'experoner_featured_section_icon_size', array(
						'default'  => '65',
						'type'       => 'theme_mod',
						'transport'   => 'refresh',
						'capability'     => 'edit_theme_options',
						'sanitize_callback' => 'sanitize_text_field',
					) );
					$wp_customize->add_control( new WP_Customize_Control(
						$wp_customize,'experoner_featured_section_icon_size',
						array(
							'type' => 'number',
							'settings'   => 'experoner_featured_section_icon_size', 
							'section' => 'experoner_featured_section_section', 
							'label' => 'Icon Size',
							'active_callback'  => 'experoner_featuredsection_designcallback',
						)
					) );
						
	    //about content add 
			$wp_customize->add_section( 'elecrto_about_data_section' , array(
				'title'        => 'About Section',
				'priority'  => 3,
				'panel'   => 'experoner_theme_panel',
			) );
			
			//about Section in tabing
				$wp_customize->add_setting( 'about_section_tab', 
			        array(
			            'default'    => 'general', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability'     => 'edit_theme_options',
			            'sanitize_callback' => 'experoner_sanitize_select',
			        ) 
			    ); 
		        $wp_customize->add_control( new Experoner_Custom_Radio_Control( 
			        $wp_customize,'about_section_tab',array(
			            'settings'   => 'about_section_tab', 
			            'priority'   => 10,
			            'section'    => 'elecrto_about_data_section',
			            'type'    => 'select',
			            'choices'    => array(
				        	'general' => 'General',
				        	'design' => 'Design',
			        	),
			        ) 
		        ) );
			//experoner about data main Title
				$wp_customize->add_setting( 'experoner_about_main_title', array(
					'default'   => 'About',
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
				) );
				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_about_main_title',
			    	array(
						'type' => 'Text',
						'settings'   => 'experoner_about_main_title', 
						'section' => 'elecrto_about_data_section', // // Add a default or your own section
						'label' => 'About Content Title',
						'active_callback'  => 'experoner_aboutsection_generalcallback',
					)
				) );
			if ( isset( $wp_customize->selective_refresh ) ) {
				$wp_customize->selective_refresh->add_partial(
					'experoner_about_main_title',
					array(
						'selector'        => '.experoner_about_info',
						'render_callback' => 'experoner_customize_partial_about_section',
					)
				);
			}
			//about data images
	            $wp_customize->add_setting('experoner_about_image' , array(
		        	'type'       => 'theme_mod',
			        'transport'     => 'refresh',
			        'height'        => 180,
			        'width'        => 160,
			        'capability' => 'edit_theme_options',
			        'sanitize_callback' => 'esc_url_raw'
			    ));
			    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'experoner_about_image' , array(
			        'label' =>  'Image',
			        'section' => 'elecrto_about_data_section',
			        'settings' => 'experoner_about_image' ,
			        'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			        'active_callback'  => 'experoner_aboutsection_generalcallback',
			    )));
			//experoner about data Title
			    $wp_customize->add_setting( 'experoner_about_title', array(
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
				) );
				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_about_title',
			    	array(
						'type' => 'Text',
						'settings'   => 'experoner_about_title', 
						'section' => 'elecrto_about_data_section', // // Add a default or your own section
						'label' => 'Title',
						'active_callback'  => 'experoner_aboutsection_generalcallback',
					)
				) );
			//experoner about data subheading
			    $wp_customize->add_setting( 'experoner_about_sub_heading', array(
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
				) );
				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_about_sub_heading',
			    	array(
						'type' => 'Text',
						'settings'   => 'experoner_about_sub_heading', 
						'section' => 'elecrto_about_data_section', // // Add a default or your own section
						'label' => 'Sub Headline',
						'active_callback'  => 'experoner_aboutsection_generalcallback',
					)
				) );
			//experoner about data description
			    $wp_customize->add_setting( 'elecro_about_description', array(
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_textarea_field',
				) );
				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'elecro_about_description',
			    	array(
						'type' => 'textarea',
						'settings'   => 'elecro_about_description', 
						'section' => 'elecrto_about_data_section', // // Add a default or your own section
						'label' => 'Description',
						'active_callback'  => 'experoner_aboutsection_generalcallback',
					)
				) );			
			//about data button
			    $wp_customize->add_setting( 'about_data_button_text', array(
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
				) );
				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'about_data_button_text',
			    	array(
						'type' => 'text',
						'settings'   => 'about_data_button_text', 
						'section' => 'elecrto_about_data_section', // // Add a default or your own section
						'label' => 'Button Text',
						'active_callback'  => 'experoner_aboutsection_generalcallback',
					)
				) );
			//about data button link
			    $wp_customize->add_setting( 'about_data_button_link', array(
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
				) );
				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'about_data_button_link',
			    	array(
						'type' => 'text',
						'settings'   => 'about_data_button_link', 
						'section' => 'elecrto_about_data_section', // // Add a default or your own section
						'label' => 'Button Link',
						'active_callback'  => 'experoner_aboutsection_generalcallback',
					)
				) );
			//about Text color
				$wp_customize->add_setting( 'experoner_about_title_text_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_about_title_text_color', 
			        array(
			            'label'      => __( 'Title Text Color', 'experoner' ), 
			            'settings'   => 'experoner_about_title_text_color', 
			            'priority'   => 10,
			            'section'    => 'elecrto_about_data_section',
						'active_callback'  => 'experoner_aboutsection_designcallback',
			        ) 
		        ) );
		    //about background color
				$wp_customize->add_setting( 'experoner_about_bg_color', 
			        array(
			            'default'    => '#d7fff8', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_about_bg_color', 
			        array(
			            'label'      => __( 'Background Color', 'experoner' ), 
			            'settings'   => 'experoner_about_bg_color', 
			            'priority'   => 10,
			            'section'    => 'elecrto_about_data_section',
						'active_callback'  => 'experoner_aboutsection_designcallback',
			        ) 
		        ) ); 
		    //about Containe Text color
				$wp_customize->add_setting( 'experoner_about_text_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_about_text_color', 
			        array(
			            'label'      => __( 'Containe Text Color', 'experoner' ), 
			            'settings'   => 'experoner_about_text_color', 
			            'priority'   => 10,
			            'section'    => 'elecrto_about_data_section',
						'active_callback'  => 'experoner_aboutsection_designcallback',
			        ) 
		        ) );  

		//Our Team in add
		    $wp_customize->add_section( 'our_team_image_slider' , array(
				'title'             => 'Our Team Slider',
				'priority'  => 4,
				'panel'   => 'experoner_theme_panel',
			) );
			//Our Team in tabing
				$wp_customize->add_setting( 'our_team_slider_tab', 
			        array(
			            'default'    => 'general', 
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability'     => 'edit_theme_options',
			            'sanitize_callback' => 'experoner_sanitize_select',
			        ) 
			    ); 
		        $wp_customize->add_control( new Experoner_Custom_Radio_Control( 
			        $wp_customize,'our_team_slider_tab',array(
			            'settings'   => 'our_team_slider_tab', 
			            'priority'   => 10,
			            'section'    => 'our_team_image_slider',
			            'type'    => 'select',
			            'choices'    => array(
				        	'general' => 'General',
				        	'design' => 'Design',
			        	),
			        ) 
		        ) );
			//our_team slider in main title
				$wp_customize->add_setting('experoner_our_team_slider_main_title', array(		
					'default'    => 'Our Team',				
                    'type'       => 'theme_mod',
                    'capability'     => 'edit_theme_options',
                    'transport'   => 'refresh',
                    'sanitize_callback' => 'sanitize_text_field', 
                ));
                $wp_customize->add_control( new WP_Customize_Control(
                    $wp_customize,'experoner_our_team_slider_main_title',
                    array(
                        'settings' => 'experoner_our_team_slider_main_title',
                        'label'   => 'Our Team Title',
                        'section' => 'our_team_image_slider',
                        'type'    => 'Text',
                        'active_callback'  => 'experoner_our_team_slider_generalcallback',
                    )
                ));
            if ( isset( $wp_customize->selective_refresh ) ) {
				$wp_customize->selective_refresh->add_partial(
					'experoner_our_team_slider_main_title',
					array(
						'selector'        => '.our_team_section',
						'render_callback' => 'experoner_customize_partial_our_team_slider',
					)
				);
			}
		    //Our Team Slider in number of slides
			    $wp_customize->add_setting( 'our_team_slider_number', array(
			    	'default'  => 6,
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'experoner_sanitize_number_range',
				) );
				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'our_team_slider_number',
			    	array(
						'type' => 'number',
						'settings'   => 'our_team_slider_number', 
						'section' => 'our_team_image_slider', // // Add a default or your own section
						'label' => 'No of Slides',
						'description' => 'Save and refresh the page if No. of Slides is changed (Max no of slides is 6)',
						'input_attrs' => array(
									    'min' => 1,
									    'max' => 6,
									),	
						'active_callback'  => 'experoner_our_team_slider_generalcallback',				   
					)
				) );   
				$our_team_slider_number = get_theme_mod( 'our_team_slider_number', 6 );
					for ( $i = 1; $i <= $our_team_slider_number  ; $i++ ) {		
					    //slider heading
							$wp_customize->add_setting('experoner_our_team_slider_title_' . $i , array(						
		                        'type'       => 'theme_mod',
		                        'capability'     => 'edit_theme_options',
		                        'transport'   => 'refresh',
		                        'sanitize_callback' => 'sanitize_text_field', 
		                    ));
		                    $slider_labels= 'Slider ' . $i ;
		                    $wp_customize->add_control( new Experoner_Upsell_Section(
		                        $wp_customize,'experoner_our_team_slider_title_' . $i,
		                        array(
		                            'settings' => 'experoner_our_team_slider_title_'. $i,
		                            'label'   => $slider_labels,
		                            'section' => 'our_team_image_slider',
		                            'type'    => 'Text',
		                            'active_callback'  => 'experoner_our_team_slider_generalcallback',
		                        )
		                    ));
		                //our team Slider title
							$wp_customize->add_setting('experoner_our_team_slider_' . $i , array(						
		                        'type'       => 'theme_mod',
		                        'capability'     => 'edit_theme_options',
		                        'transport'   => 'refresh',
		                        'sanitize_callback' => 'sanitize_text_field',        
		                    ));
		                    $slider_labels= 'Title # ' . $i ;
		                    $wp_customize->add_control( new WP_Customize_Control(
		                        $wp_customize,'experoner_our_team_slider_' . $i,
		                        array(
		                            'settings' => 'experoner_our_team_slider_'. $i,
		                            'label'   => $slider_labels,
		                            'section' => 'our_team_image_slider',
		                            'type'    => 'Text',
		                            'active_callback'  => 'experoner_our_team_slider_generalcallback',
		                        )
		                    ));
		                //our team Slider sub heading title
							$wp_customize->add_setting('experoner_our_team_subheading_slider_' . $i , array(						
		                        'type'       => 'theme_mod',
		                        'capability'     => 'edit_theme_options',
		                        'transport'   => 'refresh',
		                        'sanitize_callback' => 'sanitize_text_field',        
		                    ));
		                    $slider_labels= 'Sub Headline # ' . $i ;
		                    $wp_customize->add_control( new WP_Customize_Control(
		                        $wp_customize,'experoner_our_team_subheading_slider_' . $i,
		                        array(
		                            'settings' => 'experoner_our_team_subheading_slider_'. $i,
		                            'label'   => $slider_labels,
		                            'section' => 'our_team_image_slider',
		                            'type'    => 'Text',
		                            'active_callback'  => 'experoner_our_team_slider_generalcallback',
		                        )
		                    ));
		                //our team Slider images
		                    $slider_images= 'Image # ' . $i ;
		                    $wp_customize->add_setting('experoner_our_team_image_sliders_' . $i, array(
					        	'type'       => 'theme_mod',
						        'transport'     => 'refresh',
						        'height'        => 180,
						        'width'        => 160,
						        'capability' => 'edit_theme_options',
						        'sanitize_callback' => 'esc_url_raw'
						    ));
						    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'experoner_our_team_image_sliders_' . $i, array(
						        'label' =>  $slider_images,
						        'section' => 'our_team_image_slider',
						        'settings' => 'experoner_our_team_image_sliders_' . $i,
						        'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
						        'active_callback'  => 'experoner_our_team_slider_generalcallback',
						    )));
		            }
		            //Our Team Slider in pro option
						$wp_customize->add_setting('our_team_slider_pro', array(
					        'type'       => 'theme_mod',
					        'transport'   => 'refresh',
					        'capability'     => 'edit_theme_options',
					        'sanitize_callback' => 'sanitize_text_field',
					    ));
					    $wp_customize->add_control( new experoner_pro_option_Control(
					    	$wp_customize,'our_team_slider_pro',
					    	array(
						        'settings' => 'our_team_slider_pro',
						        'label'   => 'More Options Available in Experoner Pro!',
						        'section' => 'our_team_image_slider',
						        'active_callback' => 'experoner_our_team_slider_generalcallback',
					        )
					    ));
			//our team slider in autoplay true
			    $wp_customize->add_setting('experoner_ourteam_autoplay', array(
			        'default'        => 'true',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'experoner_sanitize_select',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_ourteam_autoplay',
			    	array(
				        'settings' => 'experoner_ourteam_autoplay',
				        'label'   => 'Autoplay',
				        'section' => 'our_team_image_slider',
				        'type'  => 'select',
				        'choices'    => array(
				        	'true' => 'True',
				        	'false' => 'False',
			        	),
			        	'active_callback'  => 'experoner_our_team_slider_designcallback',
			        )
			    ));        
			//our team slider in autoplay speed
			    $wp_customize->add_setting('experoner_ourteam_autoplay_speed', array(
			    	'default'  =>'1000',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_ourteam_autoplay_speed',
			    	array(
				        'settings' => 'experoner_ourteam_autoplay_speed',
				        'label'   => 'AutoplaySpeed',
				        'section' => 'our_team_image_slider',
				        'type'  => 'text',
				        'active_callback'  => 'experoner_our_team_slider_designcallback',    
			        )
			    ));   
			//Our Team slider Title color
			    $wp_customize->add_setting( 'experoner_our_team_title_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_our_team_title_color', 
			        array(
			            'label'      => __( 'Title Text Color', 'experoner' ), 
			            'settings'   => 'experoner_our_team_title_color', 
			            'priority'   => 10,
			            'section'    => 'our_team_image_slider',
						'active_callback'  => 'experoner_our_team_slider_designcallback',
			        ) 
		        ) ); 
			//Our Team slider background color
			    $wp_customize->add_setting( 'experoner_slider_our_team_bg_color', 
			        array(
			            'default'    => '', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_slider_our_team_bg_color', 
			        array(
			            'label'      => __( 'Slider Background Color', 'experoner' ), 
			            'settings'   => 'experoner_slider_our_team_bg_color', 
			            'priority'   => 10,
			            'section'    => 'our_team_image_slider',
						'active_callback'  => 'experoner_our_team_slider_designcallback',
			        ) 
		        ) ); 
		    //Our Team Containe Text color
				$wp_customize->add_setting( 'experoner_our_team_text_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_our_team_text_color', 
			        array(
			            'label'      => __( 'Containe Text Color', 'experoner' ), 
			            'settings'   => 'experoner_our_team_text_color', 
			            'priority'   => 10,
			            'section'    => 'our_team_image_slider',
						'active_callback'  => 'experoner_our_team_slider_designcallback',
			        ) 
		        ) );  
	        //Our Team Containe background color
				$wp_customize->add_setting( 'experoner_our_team_bg_color', 
			        array(
			            'default'    => '#02cfaa', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_our_team_bg_color', 
			        array(
			            'label'      => __( 'Containe Background Color', 'experoner' ), 
			            'settings'   => 'experoner_our_team_bg_color', 
			            'priority'   => 10,
			            'section'    => 'our_team_image_slider',
						'active_callback'  => 'experoner_our_team_slider_designcallback',
			        ) 
		        ) );  

	    //TESTIMONIALS
			$wp_customize->add_section( 'testimonial_section' , array(
				'title'             => 'Testimonial Section',
				'panel'   => 'experoner_theme_panel',
				'priority'  => 5,
			) );
			//testinomial section in tabing
				$wp_customize->add_setting( 'testinomial_section_tab', 
			        array(
			            'default'    => 'general', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability'     => 'edit_theme_options',
			            'sanitize_callback' => 'experoner_sanitize_select',
			        ) 
			    ); 
		        $wp_customize->add_control( new Experoner_Custom_Radio_Control( 
			        $wp_customize,'testinomial_section_tab',array(
			            'settings'   => 'testinomial_section_tab', 
			            'priority'   => 10,
			            'section'    => 'testimonial_section',
			            'type'    => 'select',
			            'choices'    => array(
				        	'general' => 'General',
				        	'design' => 'Design',
			        	),
			        ) 
		        ) );
			//testinomial section title 
			    $wp_customize->add_setting( 'testinomial_section_title', array(
					'default'  => 'What Clients Are Saying',
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
				) );

				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'testinomial_section_title',
			    	array(
						'type' => 'text',
						'settings'   => 'testinomial_section_title', 
						'section' => 'testimonial_section', // // Add a default or your own section
						'label' => 'Testimonial Title',
						'active_callback'  => 'experoner_testinomial_section_generalcallback',
					)
				) );
			if ( isset( $wp_customize->selective_refresh ) ) {
				$wp_customize->selective_refresh->add_partial(
					'testinomial_section_title',
					array(
						'selector'        => '.testinomial_section',
						'render_callback' => 'experoner_customize_partial_testinomial_section',
					)
				);
			}
	      //testinomial in number of section
			    $wp_customize->add_setting( 'testinomial_section_number', array(
			    	'default'  => 6,
				    'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'experoner_sanitize_number_range',
				) );
				$wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'testinomial_section_number',
			    	array(
						'type' => 'number',
						'settings'   => 'testinomial_section_number', 
						'section' => 'testimonial_section', // // Add a default or your own section
						'label' => 'No of Section',
						'active_callback'  => 'experoner_testinomial_section_generalcallback',
						'description' => 'Save and refresh the page if No. of Slides is changed (Max no of slides is 6)',
						'input_attrs' => array(
									    'min' => 1,
									    'max' => 6,
									),					   
					)
				) );
				$testinomial_section_number = get_theme_mod( 'testinomial_section_number', 6 );
				for ( $i = 1; $i <= $testinomial_section_number; $i++ ) {		
				    //testinomial heading
						$wp_customize->add_setting('experoner_testinomial_section_heading_' . $i , array(						
	                        'type'       => 'theme_mod',
	                        'capability'     => 'edit_theme_options',
	                        'transport'   => 'refresh',
	                        'sanitize_callback' => 'sanitize_text_field', 
	                    ));
	                    $testinomial_section= 'Testinomial ' . $i ;
	                    $wp_customize->add_control( new Experoner_Upsell_Section(
	                        $wp_customize,'experoner_testinomial_section_heading_' . $i,
	                        array(
	                            'settings' => 'experoner_testinomial_section_heading_'. $i,
	                            'label'   => $testinomial_section,
	                            'section' => 'testimonial_section',
	                            'type'    => 'Text',
	                            'active_callback'  => 'experoner_testinomial_section_generalcallback',
	                        )
	                    ));
	                //testinomial images
	                    $slider_images= 'Image ' . $i ;
	                    $wp_customize->add_setting('experoner_image_testinomial_' . $i, array(
				        	'type'       => 'theme_mod',
					        'transport'     => 'refresh',
					        'height'        => 180,
					        'width'        => 160,
					        'capability' => 'edit_theme_options',
					        'sanitize_callback' => 'esc_url_raw'
					    ));
					    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'experoner_image_testinomial_' . $i, array(
					        'label' =>  $slider_images,
					        'section' => 'testimonial_section',
					        'settings' => 'experoner_image_testinomial_' . $i,
					        'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
					        'active_callback'  => 'experoner_testinomial_section_generalcallback',
					    )));
	                //testinomial title
	                    $wp_customize->add_setting('experoner_testinomial_title_' . $i , array(						
	                        'type'       => 'theme_mod',
	                        'capability'     => 'edit_theme_options',
	                        'transport'   => 'refresh',
	                        'sanitize_callback' => 'sanitize_text_field',        
	                    ));
	                    $testinomial_labels= 'Title  ' . $i ;
	                    $wp_customize->add_control( new WP_Customize_Control(
	                        $wp_customize,'experoner_testinomial_title_' . $i,
	                        array(
	                            'settings' => 'experoner_testinomial_title_'. $i,
	                            'label'   => $testinomial_labels,
	                            'section' => 'testimonial_section',
	                            'type'    => 'Text',
	                            'active_callback'  => 'experoner_testinomial_section_generalcallback',
	                        )
	                    ));
		            //testinomial description
	                    $wp_customize->add_setting('experoner_testinomial_description_' . $i , array(						
	                        'type'       => 'theme_mod',
	                        'capability'     => 'edit_theme_options',
	                        'transport'   => 'refresh',
	                        'sanitize_callback' => 'sanitize_textarea_field',        
	                    ));
	                    $testinomial_description= 'Description  ' . $i ;
	                    $wp_customize->add_control( new WP_Customize_Control(
	                        $wp_customize,'experoner_testinomial_description_' . $i,
	                        array(
	                            'settings' => 'experoner_testinomial_description_'. $i,
	                            'label'   => $testinomial_description,
	                            'section' => 'testimonial_section',
	                            'type'    => 'textarea',
	                            'active_callback'  => 'experoner_testinomial_section_generalcallback',
	                        )
	                    ));
	            }
	            //Testinomial Slider in pro option
					$wp_customize->add_setting('testinomial_slider_pro', array(
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',
				        'sanitize_callback' => 'sanitize_text_field',
				    ));
				    $wp_customize->add_control( new experoner_pro_option_Control(
				    	$wp_customize,'testinomial_slider_pro',
				    	array(
					        'settings' => 'testinomial_slider_pro',
					        'label'   => 'More Options Available in Experoner Pro!',
					        'section' => 'testimonial_section',
					        'active_callback' => 'experoner_testinomial_section_generalcallback',
				        )
				    ));
			//testimonial section in add Title Text color
			    $wp_customize->add_setting( 'experoner_testimonial_title_text_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_testimonial_title_text_color', 
			        array(
			            'label'      => __( 'Title Text Color', 'experoner' ), 
			            'settings'   => 'experoner_testimonial_title_text_color', 
			            'priority'   => 10,
			            'section'    => 'testimonial_section',
			            'active_callback'  => 'experoner_testinomial_section_designcallback',
			        ) 
		        ) ); 
	        //testimonial section in add Background color
			    $wp_customize->add_setting( 'experoner_testimonial_section_data_bg_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_testimonial_section_data_bg_color', 
			        array(
			            'label'      => __( 'Background Color', 'experoner' ), 
			            'settings'   => 'experoner_testimonial_section_data_bg_color', 
			            'priority'   => 10,
			            'section'    => 'testimonial_section',
			            'active_callback'  => 'experoner_testinomial_section_designcallback',
			        ) 
		        ) ); 
	        //testimonial section in add Background color
			    $wp_customize->add_setting( 'experoner_testimonial_section_bg_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_testimonial_section_bg_color', 
			        array(
			            'label'      => __( 'Description Background Color', 'experoner' ), 
			            'settings'   => 'experoner_testimonial_section_bg_color', 
			            'priority'   => 10,
			            'section'    => 'testimonial_section',
			            'active_callback'  => 'experoner_testinomial_section_designcallback',
			        ) 
		        ) );  
		    //testimonial section in add description color
			    $wp_customize->add_setting( 'experoner_testimonial_section_description_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',

			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_testimonial_section_description_color', 
			        array(
			            'label'      => __( 'Description Text Color', 'experoner' ), 
			            'settings'   => 'experoner_testimonial_section_description_color', 
			            'priority'   => 10,
			            'section'    => 'testimonial_section',
			            'active_callback'  => 'experoner_testinomial_section_designcallback',
			        ) 
		        ) );  
		    //testimonial section in add Author Text color
			    $wp_customize->add_setting( 'experoner_testimonial_section_title_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_testimonial_section_title_color', 
			        array(
			            'label'      => __( 'Clients Text Color', 'experoner' ), 
			            'settings'   => 'experoner_testimonial_section_title_color', 
			            'priority'   => 10,
			            'section'    => 'testimonial_section',
			            'active_callback'  => 'experoner_testinomial_section_designcallback',
			        ) 
		        ) );  
		    //testimonial section slider in autoplay true
			    $wp_customize->add_setting('experoner_testonomial_section_autoplay', array(
			        'default'        => 'true',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'experoner_sanitize_select',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_testonomial_section_autoplay',
			    	array(
				        'settings' => 'experoner_testonomial_section_autoplay',
				        'label'   => 'Autoplay',
				        'section' => 'testimonial_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'true' => 'True',
				        	'false' => 'False',
			        	),
			        	'active_callback'  => 'experoner_testinomial_section_designcallback',
			        )
			    ));        
			//testimonial section in autoplay speed
			    $wp_customize->add_setting('experoner_testonomial_section_autoplay_speed', array(
			    	'default'  =>'1000',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_testonomial_section_autoplay_speed',
			    	array(
				        'settings' => 'experoner_testonomial_section_autoplay_speed',
				        'label'   => 'AutoplaySpeed',
				        'section' => 'testimonial_section',
				        'type'  => 'text',
				        'active_callback'  => 'experoner_testinomial_section_designcallback',    
			        )
			    ));  

		//Home Page Ordering Section
	   		$wp_customize->add_section( 'experoner_ordering_section' , array(
				'title'  => 'Home Page Ordering Section',
				'panel'  => 'experoner_theme_panel',	
			) );
			//add Control
				$wp_customize->add_setting('experoner_ordering', array(	
					'default'  => array( 
							'Experoner_featured_slider',
							'Experoner_featured_section',
							'Experoner_about_sections',
							'Experoner_our_team_sections',
							'Experoner_testinomial',
						),				
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'experoner_sanitize_select',
			    ));
			    $wp_customize->add_control( new experoner_custom_ordering(
			    	$wp_customize,'experoner_ordering',
			    	array(
				        'settings' => 'experoner_ordering',
				        'label'   => 'Select Section',
				        'description' => 'Drag & Drop Sections to re-arrange the order',
				        'section' => 'experoner_ordering_section',
				        'type'    => 'sortable_repeater',
				        'choices'     => array(
							'Experoner_featured_slider' => 'Featured Slider',
							'Experoner_featured_section' => 'Featured Section',
							'Experoner_about_sections'	=> 'About Section',
							'Experoner_our_team_sections'	=> 'Our Team Slider',
							'Experoner_testinomial'	=> 'Testimonial Section' ,				
						),
				    )
				));	
			//ordering section hidden  filed
				$wp_customize->add_setting('experoner_ordered_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',	
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_ordered_section',
			    	array(
				        'settings' => 'experoner_ordered_section',
				        'section' => 'experoner_ordering_section',
				        'type'    => 'hidden',
				    )
				));	
			//diseble section hidden  filed
				$wp_customize->add_setting('experoner_diseble', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_diseble',
			    	array(
				        'settings' => 'experoner_diseble',
				        'section' => 'experoner_ordering_section',
				        'type'    => 'hidden',
				    )
				));	

	//footer option
		// Create footer option
			$wp_customize->add_section( 'footer_section' , array(
				'title'             => 'Footer',
				'priority'  => 7,
			) );

			//footer Colors title
		        $wp_customize->add_setting('footer_color_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'footer_color_section',
			    	array(
				        'settings' => 'footer_color_section',
				        'label'   => 'Footer Colors',
				        'section' => 'footer_section',
			        )
			    ));
			//footer in add Background color
			    $wp_customize->add_setting( 'experoner_footer_bg_color', 
			        array(
			            'default'    => '#02cfaa', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_footer_bg_color', 
			        array(
			            'label'      => __( 'Background Color', 'experoner' ), 
			            'settings'   => 'experoner_footer_bg_color', 
			            'priority'   => 10,
			            'section'    => 'footer_section',
			        ) 
		        ) );  
			//footer in add Text color
			    $wp_customize->add_setting( 'experoner_footer_text_color', 
			        array(
			            'default'    => '#214462', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_footer_text_color', 
			        array(
			            'label'      => __( 'Text Color', 'experoner' ), 
			            'settings'   => 'experoner_footer_text_color', 
			            'priority'   => 10,
			            'section'    => 'footer_section',
			        ) 
		        ) );  
		    //footer in add link color
			    $wp_customize->add_setting( 'experoner_footer_link_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_footer_link_color', 
			        array(
			            'label'      => __( 'Link Color', 'experoner' ), 
			            'settings'   => 'experoner_footer_link_color', 
			            'priority'   => 10,
			            'section'    => 'footer_section',
			        ) 
		        ) );  
		    //footer in add link hover color
			    $wp_customize->add_setting( 'experoner_footer_link_hover_color', 
			        array(
			            'default'    => '#afafaf', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'experoner_footer_link_hover_color', 
			        array(
			            'label'      => __( 'Link Hover Color', 'experoner' ), 
			            'settings'   => 'experoner_footer_link_hover_color', 
			            'priority'   => 10,
			            'section'    => 'footer_section',
			        ) 
		        ) );  

		    //footer backgroung image title
		        $wp_customize->add_setting('footer_bg_section', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',	
			    ));
			    $wp_customize->add_control( new Experoner_Upsell_Section(
			    	$wp_customize,'footer_bg_section',
			    	array(
				        'settings' => 'footer_bg_section',
				        'label'   => 'Footer Background Image',
				        'section' => 'footer_section',
			        )
			    ));
		    //footer background image option
		        $wp_customize->add_setting('feature_product', array(
		        	'type'       => 'theme_mod',
			        'transport'     => 'refresh',
			        'height'        => 180,
			        'width'        => 160,
			        'capability' => 'edit_theme_options',
			        'sanitize_callback' => 'esc_url_raw'
			    ));
			    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'feature_product', array(
			        'label' => __('Backgroung Image', 'experoner'),
			        'section' => 'footer_section',
			        'settings' => 'feature_product',
			        'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			    )));
			//footer in image background position
			    $wp_customize->add_setting('experoner_footer_bg_position', array(
			        'default'        => 'center center',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_footer_bg_position',
			    	array(
				        'settings' => 'experoner_footer_bg_position',
				        'label'   => 'Background Position',
				        'section' => 'footer_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'left top' => 'Left Top',
				        	'left center' => 'Left Center',
				        	'left bottom' => 'Left Bottom',
				            'right top' => 'Right Top',
				            'right center' => 'Right Center',
				            'right bottom' => 'Right Bottom',
				            'center top' => 'Center Top',
				            'center center' => 'Center Center',
				            'center bottom' => 'Center Bottom',
			        	),
			        )
			    )); 
			//footer in image background attachment
			    $wp_customize->add_setting('experoner_footer_bg_attachment', array(
			        'default'        => 'scroll',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_footer_bg_attachment',
			    	array(
				        'settings' => 'experoner_footer_bg_attachment',
				        'label'   => 'Background Attachment',
				        'section' => 'footer_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'scroll' => 'Scroll',
				        	'fixed' => 'Fixed',
			        	),
			        )
			    ));
			//footer in image background Size
			    $wp_customize->add_setting('experoner_footer_bg_size', array(
			        'default'        => 'cover',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'experoner_footer_bg_size',
			    	array(
				        'settings' => 'experoner_footer_bg_size',
				        'label'   => 'Background Size',
				        'section' => 'footer_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'auto' => 'Auto',
				        	'cover' => 'Cover',
				            'contain' => 'Contain'
			        	),
			        )
			    ));
			    
    //logo option in image width title_tagline
		    $wp_customize->add_setting('experoner_logo_width', array(
		    	'default'    => '35',
		        'type'       => 'theme_mod',
		        'capability' => 'edit_theme_options',
		        'transport'  => 'refresh',
		        'sanitize_callback' => 'sanitize_text_field',	  
		    ));
		    $wp_customize->add_control( new Experoner_Custom_Radio_Image_Control(
		    	$wp_customize,'experoner_logo_width',
		    	array(
			        'settings' => 'experoner_logo_width',
			        'label'    => 'Logo Image Width',
			        'section'  => 'title_tagline',
			        'type'  => "number",
			        'description' => 'in %',
	            	'input_attrs' => array(
								    'min' => 1,
								    'max' => 100,
								),
		        )
		    ));

$wp_customize->remove_section( 'background_image' );
$wp_customize->remove_section( 'header_image' );	
$wp_customize->remove_control('background_color');
}
add_action( 'customize_register', 'experoner_customize_register' );


/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function experoner_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function experoner_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function experoner_customize_preview_js() {
	wp_enqueue_script( 'experoner-customizer', get_template_directory_uri() . '/assets/js/customizer.js', array( 'customize-preview' ), _S_VERSION, true );
}
add_action( 'customize_preview_init', 'experoner_customize_preview_js' );

if ( ! function_exists( 'experoner_sanitize_checkbox' ) ) :

    /**
     * Sanitize checkbox.
     *
     * @since 1.0.0
     *
     * @param bool $checked Whether the checkbox is checked.
     * @return bool Whether the checkbox is checked.
     */
    function experoner_sanitize_checkbox( $checked ) {

        return ( ( isset( $checked ) && true === $checked ) ? true : false );

    }
endif;
if ( ! function_exists( 'experoner_sanitize_select' ) ) :

    /**
     * Sanitize select.
     *
     * @since 1.0.0
     *
     * @param mixed                $input The value to sanitize.
     * @param WP_Customize_Setting $setting WP_Customize_Setting instance.
     * @return mixed Sanitized value.
     */
    function experoner_sanitize_select( $input, $setting ) {

        // Ensure input is a slug.
        $input = sanitize_text_field( $input );

        // Get list of choices from the control associated with the setting.
        $choices = $setting->manager->get_control( $setting->id )->choices;

        // If the input is a valid key, return it; otherwise, return the default.
        return ( array_key_exists( $input, $choices ) ? $input : $setting->default );

    }
endif;

function experoner_phone_number_callback(){
	$experoner_header_phone = get_theme_mod( 'experoner_header_phone', true );
	if ( true === $experoner_header_phone ) {
		return true;
	}
	$experoner_footer_phone = get_theme_mod( 'experoner_footer_phone', true );
	if ( true === $experoner_footer_phone ) {
		return true;
	}
	return false;
}
function experoner_email_callback(){
	$phone_num_value = get_theme_mod( 'experoner_header_email', true );
	if ( true === $phone_num_value ) {
		return true;
	}
	$experoner_footer_email = get_theme_mod( 'experoner_footer_email', true );
	if ( true === $experoner_footer_email ) {
		return true;
	}
	return false;
}
function experoner_header_icon_callback(){
	$experoner_header_social_icon = get_theme_mod( 'experoner_header_social_icon', true );
	if ( true === $experoner_header_social_icon ) {
		return true;
	}
	$experoner_footer_social_icon = get_theme_mod( 'experoner_footer_social_icon', true );
	if ( true === $experoner_footer_social_icon ) {
		return true;
	}
	return false;
}
function experoner_header2_callback(){
	$experoner_header_layout = get_theme_mod( 'experoner_header_layout');
	if ( 'header2' === $experoner_header_layout ) {
		return true;
	}
	return false;
}
function experoner_Box_layout_callback(){
	$experoner_container_pagelayout = get_theme_mod( 'experoner_container_pagelayout');
	if ( 'boxed_layout' === $experoner_container_pagelayout ) {
		return true;
	}
	return false;
}
function experoner_content_box_layout_callback(){
	$experoner_container_pagelayout = get_theme_mod( 'experoner_container_pagelayout');
	if ( 'content_boxed' === $experoner_container_pagelayout ) {
		return true;
	}
	return false;
}
function experoner_gridview_layout_callback(){
	$experoner_container_blog_layout = get_theme_mod( 'experoner_container_blog_layout');
	if ( 'grid_view' === $experoner_container_blog_layout ) {
		return true;
	}
	return false;
}

add_action( 'wp_enqueue_scripts', 'experoner_theme_scripts' );
function experoner_theme_scripts() {
    $experoner_body_fontfamily = get_theme_mod("experoner_body_fontfamily");    
    if($experoner_body_fontfamily!=''){
        global $experoner_fonttotal;
        $font_args = array(
            'family'    => rawurlencode($experoner_fonttotal[$experoner_body_fontfamily]),
        );
        $font_url = add_query_arg($font_args,'//fonts.googleapis.com/css');
        wp_enqueue_style( 'factory-lite-font', $font_url, array() );
    }
    $experoner_Heading_fontfamily = get_theme_mod("experoner_Heading_fontfamily");    
    if($experoner_Heading_fontfamily!=''){
        global $experoner_fonttotal;
        $font_args = array(
            'family'    => rawurlencode($experoner_fonttotal[$experoner_Heading_fontfamily]),
        );
        $font_url = add_query_arg($font_args,'//fonts.googleapis.com/css');
        wp_enqueue_style( 'factory-lite-font-a', $font_url, array() );
    }
    $experoner_Heading1_fontfamily = get_theme_mod("experoner_Heading1_fontfamily");    
    if($experoner_Heading1_fontfamily!=''){
        global $experoner_fonttotal;
        $font_args = array(
            'family'    => rawurlencode($experoner_fonttotal[$experoner_Heading1_fontfamily]),
        );
        $font_url = add_query_arg($font_args,'//fonts.googleapis.com/css');
        wp_enqueue_style( 'factory-lite-font-b', $font_url, array() );
    }
    $experoner_Heading2_fontfamily = get_theme_mod("experoner_Heading2_fontfamily");    
    if($experoner_Heading2_fontfamily!=''){
        global $experoner_fonttotal;
        $font_args = array(
            'family'    => rawurlencode($experoner_fonttotal[$experoner_Heading2_fontfamily]),
        );
        $font_url = add_query_arg($font_args,'//fonts.googleapis.com/css');
        wp_enqueue_style( 'factory-lite-font-c', $font_url, array() );
    }
    $experoner_Heading3_fontfamily = get_theme_mod("experoner_Heading3_fontfamily");    
    if($experoner_Heading3_fontfamily!=''){
        global $experoner_fonttotal;
        $font_args = array(
            'family'    => rawurlencode($experoner_fonttotal[$experoner_Heading3_fontfamily]),
        );
        $font_url = add_query_arg($font_args,'//fonts.googleapis.com/css');
        wp_enqueue_style( 'factory-lite-font-d', $font_url, array() );
    }
}     

function experoner_customizer_css() {

    wp_enqueue_style( 'ele_experoner-customize-controls-style', get_template_directory_uri() . '/assets/css/customizer-admin.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'experoner_customizer_css',0 );

if ( ! function_exists( 'experoner_enlightme_site_layout' ) ) :
    /**
     * Site Layout
     * @return array site layout options
     */
    function experoner_enlightme_site_layout() {
        $experoner_enlightme_site_layout = array(
            'no_sidebar'  => get_template_directory_uri() . '/img/full.png',
            'left_sidebar' => get_template_directory_uri() . '/img/left.png',
            'right_sidebar' => get_template_directory_uri() . '/img/right.png',
        );

        $output = apply_filters( 'experoner_enlightme_site_layout', $experoner_enlightme_site_layout );
        return $output;
    }
endif;

if ( ! function_exists( 'experoner_header_site_layout' ) ) :
    /**
     * Site Layout
     * @return array site layout options
     */
    function experoner_header_site_layout() {
        $experoner_header_site_layout = array(
            'header2' => get_template_directory_uri() . '/img/header2.png',
        );

        $output = apply_filters( 'experoner_header_site_layout', $experoner_header_site_layout );
        return $output;
    }
endif;

function experoner_sanitize_number_range( $number, $setting ) {

    // Ensure input is an absolute integer.
    $number = absint( $number );

    // Get the input attributes associated with the setting.
    $atts = $setting->manager->get_control( $setting->id )->input_attrs;


    // Get minimum number in the range.
    $min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

    // Get maximum number in the range.
    $max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

    // Get step.
    $step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

    // If the number is within the valid range, return it; otherwise, return the default
    return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

function experoner_customize_partial_featured_slider(){
	bloginfo( 'image_slider_number' );
}
function experoner_customize_partial_featured_section(){
	bloginfo( 'experoner_featured_title' );
}
function experoner_customize_partial_about_section(){
	bloginfo( 'experoner_about_main_title' );
}
function experoner_customize_partial_our_team_slider(){
	bloginfo( 'experoner_our_team_slider_main_title' );
}
function experoner_customize_partial_testinomial_section(){
	bloginfo( 'testinomial_section_title' );
}
function experoner_customize_partial_breadcrumb_section(){
	bloginfo( 'experoner_breadcrumb_title' );
}

function experoner_featured_generalcallback(){
	$featuredimage_slider_tab = get_theme_mod( 'featuredimage_slider_tab','general');
	if ( 'general' === $featuredimage_slider_tab ) {
		return true;
	}
	return false;
}
function experoner_featured_designcallback(){
	$featuredimage_slider_tab = get_theme_mod( 'featuredimage_slider_tab','general');
	if ( 'design' === $featuredimage_slider_tab ) {
		return true;
	}
	return false;
}
function experoner_featuredsection_generalcallback(){
	$featured_section_tab = get_theme_mod( 'featured_section_tab','general');
	if ( 'general' === $featured_section_tab ) {
		return true;
	}
	return false;
}
function experoner_featuredsection_designcallback(){
	$featured_section_tab = get_theme_mod( 'featured_section_tab','general');
	if ( 'design' === $featured_section_tab ) {
		return true;
	}
	return false;
}
function experoner_aboutsection_generalcallback(){
	$about_section_tab = get_theme_mod( 'about_section_tab','general');
	if ( 'general' === $about_section_tab ) {
		return true;
	}
	return false;
}
function experoner_aboutsection_designcallback(){
	$about_section_tab = get_theme_mod( 'about_section_tab','general');
	if ( 'design' === $about_section_tab ) {
		return true;
	}
	return false;
}
function experoner_our_team_slider_generalcallback(){
	$our_team_slider_tab = get_theme_mod( 'our_team_slider_tab','general');
	if ( 'general' === $our_team_slider_tab ) {
		return true;
	}
	return false;
}
function experoner_our_team_slider_designcallback(){
	$our_team_slider_tab = get_theme_mod( 'our_team_slider_tab','general');
	if ( 'design' === $our_team_slider_tab ) {
		return true;
	}
	return false;
}
function experoner_testinomial_section_generalcallback(){
	$testinomial_section_tab = get_theme_mod( 'testinomial_section_tab','general');
	if ( 'general' === $testinomial_section_tab ) {
		return true;
	}
	return false;
}
function experoner_testinomial_section_designcallback(){
	$testinomial_section_tab = get_theme_mod( 'testinomial_section_tab','general');
	if ( 'design' === $testinomial_section_tab ) {
		return true;
	}
	return false;
}
function experoner_scroll_callback(){
	$display_scroll_button = get_theme_mod( 'display_scroll_button', true );
	if ( true === $display_scroll_button ) {
		return true;
	}
	return false;
}
