<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package experoner
 */

?>
<?php
if(get_theme_mod( 'experoner_container_blog_layout','grid_view') == 'list_view2'){
	?>
	<div class="list_view_2">
	<div class="list_view_2_img">
		<?php experoner_post_thumbnail(); ?>
	</div>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">
		<?php
		if ( is_singular() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;

		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
				<?php
				experoner_posted_on();
				experoner_posted_by();
				experoner_entry_footer();
				?>
			</div><!-- .entry-meta -->
			
		<?php endif; ?>
	</header><!-- .entry-header -->

	

	<div class="entry-content">
		<?php
		if ( !(is_single())){
			the_excerpt();
			//$content = get_the_content();
			//echo substr($content, 0, get_theme_mod('experoner_excerpt_length'));
		}else{
			the_content(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'experoner' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					wp_kses_post( get_the_title() )
				)
			);

			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'experoner' ),
					'after'  => '</div>',
				)
			);
		}
		?>
	</div><!-- .entry-content -->
	<?php
		if(get_theme_mod( 'experoner_display_read_more',true) != ''){
		?>
			<div class="read_btn">	
				<a class='read_more buttons' href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_theme_mod( 'experoner_read_more_btn','Continue reading') );?>
				</a>
			</div>
		<?php
		}
	
	?>
	</article>
	</div>
	<?php
}else{
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
	if(get_theme_mod( 'experoner_container_blog_layout','grid_view') == 'list_view1'){
		?>
		<div class="list_layout_1">
			<div class="list_image">
				<?php experoner_post_thumbnail(); ?>
			</div>
			<div class="list_main_cont">
				<header class="entry-header">
					<?php
					if ( is_singular() ) :
						the_title( '<h1 class="entry-title">', '</h1>' );
					else :
						the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
					endif;

					if ( 'post' === get_post_type() ) :
						?>
						<div class="entry-meta">
							<?php
							experoner_posted_on();
							experoner_posted_by();
							experoner_entry_footer();
							?>
						</div><!-- .entry-meta -->
						
					<?php endif; ?>
				</header><!-- .entry-header -->
				<div class="entry-content">
					<?php
					if ( !(is_single())){
						the_excerpt();
						//$content = get_the_content();
						//echo substr($content, 0, get_theme_mod('experoner_excerpt_length'));
					}else{
						the_content(
							sprintf(
								wp_kses(
									/* translators: %s: Name of current post. Only visible to screen readers */
									__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'experoner' ),
									array(
										'span' => array(
											'class' => array(),
										),
									)
								),
								wp_kses_post( get_the_title() )
							)
						);

						wp_link_pages(
							array(
								'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'experoner' ),
								'after'  => '</div>',
							)
						);
					}
					?>
				</div><!-- .entry-content -->
				<?php
				if(get_theme_mod( 'experoner_display_read_more',true) != ''){
				?>
					<div class="read_btn">	
						<a class='read_more buttons' href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_theme_mod( 'experoner_read_more_btn','Continue reading')); ?>
						</a>
					</div>
				<?php
				}
				?>
			</div>
		</div>
		<?php
	}else{
	?>
	<header class="entry-header">
		<?php
		if ( is_singular() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;

		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
				<?php
				experoner_posted_on();
				experoner_posted_by();
				experoner_entry_footer();
				?>
			</div><!-- .entry-meta -->
			
		<?php endif; ?>
	</header><!-- .entry-header -->

	<?php experoner_post_thumbnail(); ?>

	<div class="entry-content">
		<?php
		if ( !(is_single())){
			the_excerpt();
			//$content = get_the_content();
			//echo substr($content, 0, get_theme_mod('experoner_excerpt_length'));
		}else{
			the_content(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'experoner' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					wp_kses_post( get_the_title() )
				)
			);

			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'experoner' ),
					'after'  => '</div>',
				)
			);
		}
		?>
	</div><!-- .entry-content -->
	<?php
		if(get_theme_mod( 'experoner_display_read_more',true) != ''){
		?>
			<div class="read_btn">	
				<a class='read_more buttons' href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_theme_mod( 'experoner_read_more_btn','Continue reading')); ?>
				</a>
			</div>
		<?php
		}
	}
	?>
	<!-- <footer class="entry-footer">
		<?php experoner_entry_footer(); ?>
	</footer> -->
</article><!-- #post-<?php the_ID(); ?> -->
<?php } ?>