<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package experoner
 */
?>
<!-- about Information -->
<div class="experoner_about_info">
    <div id="about_section" class="about_section">
		<div class="about_main_title main_title">
			<h1><span><?php echo esc_html(get_theme_mod( 'experoner_about_main_title','About'));?></span></h1>
		</div>
		<div class="about_content_data">
			<div class="about_post_thumbnail">
				<?php if(get_theme_mod( 'experoner_about_image' )){ ?>
					<img src="<?php echo esc_attr(get_theme_mod( 'experoner_about_image')); ?>" alt="The Last of us">

				<?php }else{
					?>
					<img src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/no-thumb.jpg" alt="The Last of us">
					<?php
				} ?>
			</div>
			<div class="about_content">
				<div class="entry-header">
					<h1 class="about_title">
						<?php echo esc_attr(get_theme_mod( 'experoner_about_title'));?>
					</h1>
					<div class="about_section-sub_hedline">
						<p><?php echo esc_html(get_theme_mod( 'experoner_about_sub_heading'));?></p>
					</div>	
				</div>
				<div class="entry-content">
					<?php echo esc_attr(get_theme_mod( 'elecro_about_description'));?>
				</div><!-- .entry-content -->
				<?php if(get_theme_mod( 'about_data_button_text') != ''){ ?>
					<div class="about_button">
						<a class="about_btn buttons" href="<?php echo esc_attr(get_theme_mod( 'about_data_button_link'))?>"><?php echo esc_html(get_theme_mod( 'about_data_button_text'));?></a>
					</div>
				<?php }?>
			</div>
		</div>
	</div>
</div>
		